* [gentoo-commits] repo/gentoo:master commit in: net-im/pidgin/files/, net-im/pidgin/
@ 2019-04-02 12:29 Lars Wendler
0 siblings, 0 replies; 7+ messages in thread
From: Lars Wendler @ 2019-04-02 12:29 UTC (permalink / raw
To: gentoo-commits
commit: edc73a669e7ef0525ffad215fea70cb24876d6cf
Author: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Tue Apr 2 12:27:42 2019 +0000
Commit: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Tue Apr 2 12:29:04 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=edc73a66
net-im/pidgin: Revbump adding python3 support
and use [${PYTHON_USEDEP}] for dev-python/dbus-python package
Closes: https://bugs.gentoo.org/459996
Package-Manager: Portage-2.3.62, Repoman-2.3.12
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>
.../files/pidgin-2.13.0-python3_support.patch | 37 +++
net-im/pidgin/pidgin-2.13.0-r1.ebuild | 285 +++++++++++++++++++++
2 files changed, 322 insertions(+)
diff --git a/net-im/pidgin/files/pidgin-2.13.0-python3_support.patch b/net-im/pidgin/files/pidgin-2.13.0-python3_support.patch
new file mode 100644
index 00000000000..19ece4a9a22
--- /dev/null
+++ b/net-im/pidgin/files/pidgin-2.13.0-python3_support.patch
@@ -0,0 +1,37 @@
+# HG changeset patch
+# User John Bailey <rekkanoryo@rekkanoryo.org>
+# Date 1527918187 14400
+# Sat Jun 02 01:43:07 2018 -0400
+# Branch upstream-fedora-patches
+# Node ID ab3a54cf9afbd2a1cb6736c7ee424d8fc82e7b14
+# Parent de18cefddad5ffe593a192f3a20f6f91165ab516
+Modified Jan Synacek's purple-remote python3 compatibility patch to make it
+compatible with both python2 and python3.
+
+diff --git a/COPYRIGHT b/COPYRIGHT
+--- a/COPYRIGHT
++++ b/COPYRIGHT
+@@ -544,6 +544,7 @@
+ Sun Microsystems
+ Marcus Sundberg
+ Mårten Svantesson (fursten)
++Jan Synacek <jsynacek@redhat.com>
+ Amir Szekely (kichik)
+ Gábor Szuromi (kukkerman)
+ Jakub Szypulka
+diff --git a/libpurple/purple-remote b/libpurple/purple-remote
+--- a/libpurple/purple-remote
++++ b/libpurple/purple-remote
+@@ -14,7 +14,11 @@
+ import xml.dom.minidom
+
+ sys.stdin = codecs.getwriter('utf-8')(sys.stdin);
+-sys.stdout = codecs.getwriter('utf-8')(sys.stdout);
++
++if(sys.version_info > (3,0)):
++ sys.stdout = codecs.getwriter('utf-8')(sys.stdout.detach());
++else:
++ sys.stdout = codecs.getwriter('utf-8')(sys.stdout);
+
+ xml.dom.minidom.Element.all = xml.dom.minidom.Element.getElementsByTagName
+
diff --git a/net-im/pidgin/pidgin-2.13.0-r1.ebuild b/net-im/pidgin/pidgin-2.13.0-r1.ebuild
new file mode 100644
index 00000000000..68c1f9e981a
--- /dev/null
+++ b/net-im/pidgin/pidgin-2.13.0-r1.ebuild
@@ -0,0 +1,285 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+GENTOO_DEPEND_ON_PERL=no
+PYTHON_COMPAT=( python{2_7,3_{5,6,7}} )
+
+inherit autotools flag-o-matic gnome2 toolchain-funcs multilib perl-module python-single-r1 xdg-utils
+
+DESCRIPTION="GTK Instant Messenger client"
+HOMEPAGE="http://pidgin.im/"
+SRC_URI="
+ mirror://sourceforge/${PN}/${P}.tar.bz2
+ https://dev.gentoo.org/~polynomial-c/${PN}-eds-3.6.patch.bz2
+ https://gist.githubusercontent.com/imcleod/77f38d11af11b2413ada/raw/46e9d6cb4d2f839832dad2d697bb141a88028e04/pidgin-irc-join-sleep.patch -> ${PN}-2.10.9-irc_join_sleep.patch"
+
+LICENSE="GPL-2"
+SLOT="0/2" # libpurple version
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~x86-macos"
+IUSE="dbus debug doc eds gadu gnutls +gstreamer +gtk idn meanwhile pie"
+IUSE+=" networkmanager nls perl silc tcl tk spell sasl ncurses"
+IUSE+=" groupwise prediction python +xscreensaver zephyr zeroconf" # mono"
+IUSE+=" aqua"
+
+# dbus requires python to generate C code for dbus bindings (thus DEPEND only).
+# finch uses libgnt that links with libpython - {R,}DEPEND. But still there is
+# no way to build dbus and avoid libgnt linkage with python. If you want this
+# send patch upstream.
+# purple-url-handler and purple-remote require dbus-python thus in reality we
+# rdepend on python if dbus enabled. But it is possible to separate this dep.
+RDEPEND="
+ >=dev-libs/glib-2.16
+ >=dev-libs/libxml2-2.6.18
+ ncurses? (
+ sys-libs/ncurses:0=[unicode]
+ dbus? ( ${PYTHON_DEPS} )
+ python? ( ${PYTHON_DEPS} )
+ )
+ gtk? (
+ >=x11-libs/gtk+-2.10:2[aqua=]
+ x11-libs/libSM
+ >=x11-libs/pango-1.4.0
+ xscreensaver? ( x11-libs/libXScrnSaver )
+ spell? ( >=app-text/gtkspell-2.0.2:2 )
+ eds? ( >=gnome-extra/evolution-data-server-3.6:= )
+ prediction? ( >=dev-db/sqlite-3.3:3 )
+ )
+ gstreamer? (
+ media-libs/gstreamer:1.0
+ media-libs/gst-plugins-base:1.0
+ >=net-libs/farstream-0.2.7:0.2
+ )
+ zeroconf? ( net-dns/avahi[dbus] )
+ dbus? (
+ >=dev-libs/dbus-glib-0.71
+ >=sys-apps/dbus-0.90
+ dev-python/dbus-python[${PYTHON_USEDEP}]
+ )
+ perl? ( >=dev-lang/perl-5.16:= )
+ gadu? (
+ || (
+ >=net-libs/libgadu-1.11.0[ssl,gnutls]
+ >=net-libs/libgadu-1.11.0[-ssl]
+ )
+ )
+ gnutls? ( net-libs/gnutls )
+ !gnutls? (
+ dev-libs/nspr
+ dev-libs/nss
+ )
+ meanwhile? ( net-libs/meanwhile )
+ silc? ( >=net-im/silc-toolkit-1.0.1 )
+ tcl? ( dev-lang/tcl:0= )
+ tk? ( dev-lang/tk:0= )
+ sasl? ( dev-libs/cyrus-sasl:2 )
+ networkmanager? ( net-misc/networkmanager )
+ idn? ( net-dns/libidn:= )
+ !<x11-plugins/pidgin-facebookchat-1.69-r1"
+ # Mono support crashes pidgin
+ #mono? ( dev-lang/mono )"
+
+# We want nls in case gtk is enabled, bug #
+NLS_DEPEND=">=dev-util/intltool-0.41.1 sys-devel/gettext"
+
+DEPEND="$RDEPEND
+ dev-lang/perl
+ dev-perl/XML-Parser
+ virtual/pkgconfig
+ gtk? (
+ x11-base/xorg-proto
+ ${NLS_DEPEND}
+ )
+ dbus? ( ${PYTHON_DEPS} )
+ doc? ( app-doc/doxygen )
+ !gtk? ( nls? ( ${NLS_DEPEND} ) )"
+
+DOCS=( AUTHORS HACKING NEWS README ChangeLog )
+
+REQUIRED_USE="
+ dbus? ( ${PYTHON_REQUIRED_USE} )
+ networkmanager? ( dbus )
+ python? ( ${PYTHON_REQUIRED_USE} )
+"
+
+# Enable Default protocols
+DYNAMIC_PRPLS="irc,jabber,oscar,simple"
+
+# List of plugins
+# app-accessibility/pidgin-festival
+# net-im/librvp
+# x11-plugins/guifications
+# x11-plugins/msn-pecan
+# x11-plugins/pidgin-encryption
+# x11-plugins/pidgin-extprefs
+# x11-plugins/pidgin-hotkeys
+# x11-plugins/pidgin-latex
+# x11-plugins/pidgintex
+# x11-plugins/pidgin-libnotify
+# x11-plugins/pidgin-mbpurple
+# x11-plugins/pidgin-bot-sentry
+# x11-plugins/pidgin-otr
+# x11-plugins/pidgin-rhythmbox
+# x11-plugins/purple-plugin_pack
+# x11-themes/pidgin-smileys
+# x11-plugins/pidgin-knotify
+# Plugins in Sunrise:
+# x11-plugins/pidgin-audacious-remote
+# x11-plugins/pidgin-autoanswer
+# x11-plugins/pidgin-birthday-reminder
+# x11-plugins/pidgin-blinklight
+# x11-plugins/pidgin-convreverse
+# x11-plugins/pidgin-embeddedvideo
+# x11-plugins/pidgin-extended-blist-sort
+# x11-plugins/pidgin-gfire
+# x11-plugins/pidgin-lastfm
+# x11-plugins/pidgin-sendscreenshot
+# x11-plugins/pidgimpd
+
+PATCHES=(
+ "${FILESDIR}/${PN}-2.10.0-gold.patch"
+ "${WORKDIR}/${PN}-eds-3.6.patch"
+ "${FILESDIR}/${PN}-2.10.9-fix-gtkmedia.patch"
+ "${FILESDIR}/${PN}-2.10.10-eds-3.6-configure.ac.patch"
+ "${FILESDIR}/${PN}-2.10.11-tinfo.patch"
+ "${DISTDIR}/${PN}-2.10.9-irc_join_sleep.patch" # 577286
+ "${FILESDIR}/${PN}-2.13.0-disable-one-jid-test.patch" # 593338
+ "${FILESDIR}/${PN}-2.13.0-python3_support.patch" #459996
+)
+
+pkg_pretend() {
+ if ! use gtk && ! use ncurses ; then
+ elog "You did not pick the ncurses or gtk use flags, only libpurple"
+ elog "will be built."
+ fi
+
+ # dbus is enabled, no way to disable linkage with python => python is enabled
+ #REQUIRED_USE="gtk? ( nls ) dbus? ( python )"
+ if use gtk && ! use nls ; then
+ ewarn "gtk build => nls is enabled!"
+ fi
+ if use dbus && ! use python ; then
+ elog "dbus is enabled, no way to disable linkage with python => python is enabled"
+ fi
+}
+
+pkg_setup() {
+ if use python || use dbus ; then
+ python-single-r1_pkg_setup
+ fi
+}
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+src_configure() {
+ # Stabilize things, for your own good
+ strip-flags
+ replace-flags -O? -O2
+ use pie && append-cflags -fPIE -pie
+
+ use gadu && DYNAMIC_PRPLS+=",gg"
+ use groupwise && DYNAMIC_PRPLS+=",novell"
+ use silc && DYNAMIC_PRPLS+=",silc"
+ use meanwhile && DYNAMIC_PRPLS+=",sametime"
+ use zephyr && DYNAMIC_PRPLS+=",zephyr"
+ use zeroconf && DYNAMIC_PRPLS+=",bonjour"
+
+ local myconf=(
+ --disable-mono
+ --with-dynamic-prpls="${DYNAMIC_PRPLS}"
+ --with-system-ssl-certs="${EPREFIX}/etc/ssl/certs/"
+ --x-includes="${EPREFIX}"/usr/include/X11
+ $(use_enable ncurses consoleui)
+ $(use_enable gtk gtkui)
+ $(use_enable gtk sm)
+ $(usex gtk '--enable-nls' "$(use_enable nls)")
+ $(use gtk && use_enable xscreensaver screensaver)
+ $(use gtk && use_enable prediction cap)
+ $(use gtk && use_enable eds gevolution)
+ $(use gtk && use_enable spell gtkspell)
+ $(use_enable perl)
+ $(use_enable tk)
+ $(use_enable tcl)
+ $(use_enable debug)
+ $(use_enable dbus)
+ $(use_enable meanwhile)
+ $(use_enable gstreamer)
+ $(use_with gstreamer gstreamer 1.0)
+ $(use_enable gstreamer farstream)
+ $(use_enable gstreamer vv)
+ $(use_enable sasl cyrus-sasl )
+ $(use_enable doc doxygen)
+ $(use_enable networkmanager nm)
+ $(use_enable zeroconf avahi)
+ $(use_enable idn)
+ )
+
+ if use gnutls; then
+ einfo "Disabling NSS, using GnuTLS"
+ myconf+=( --enable-nss=no --enable-gnutls=yes )
+ myconf+=( --with-gnutls-includes="${EPREFIX}/usr/include/gnutls" )
+ myconf+=( --with-gnutls-libs="${EPREFIX}/usr/$(get_libdir)" )
+ else
+ einfo "Disabling GnuTLS, using NSS"
+ myconf+=( --enable-gnutls=no --enable-nss=yes )
+ fi
+
+ if use dbus || { use ncurses && use python ; } ; then
+ myconf+=( --with-python=${PYTHON} )
+ else
+ myconf+=( --without-python )
+ fi
+
+ econf "${myconf[@]}"
+}
+
+src_install() {
+ gnome2_src_install
+
+ if use gtk ; then
+ # Fix tray paths for e16 (x11-wm/enlightenment) and other
+ # implementations that are not complient with new hicolor theme yet, #323355
+ local pixmapdir
+ for d in 16 22 32 48; do
+ pixmapdir=${ED%/}/usr/share/pixmaps/pidgin/tray/hicolor/${d}x${d}/actions
+ mkdir "${pixmapdir}" || die
+ pushd "${pixmapdir}" >/dev/null || die
+ for f in ../status/*; do
+ ln -s ${f} || die
+ done
+ popd >/dev/null || die
+ done
+ fi
+ use perl && perl_delete_localpod
+
+ if use python && use dbus ; then
+ python_fix_shebang "${ED}"
+ python_optimize
+ fi
+
+ dodoc ${DOCS} finch/plugins/pietray.py
+ docompress -x /usr/share/doc/${PF}/pietray.py
+
+ find "${ED}" \( -name "*.a" -o -name "*.la" \) -delete || die
+}
+
+src_test() {
+ # make default build logs slightly more useful
+ emake check VERBOSE=1
+}
+
+pkg_preinst() { gnome2_icon_savelist; }
+
+pkg_postinst() {
+ gnome2_icon_cache_update
+ xdg_desktop_database_update
+}
+
+pkg_postrm() {
+ gnome2_icon_cache_update
+ xdg_desktop_database_update
+}
^ permalink raw reply related [flat|nested] 7+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: net-im/pidgin/files/, net-im/pidgin/
@ 2020-02-11 13:16 Lars Wendler
0 siblings, 0 replies; 7+ messages in thread
From: Lars Wendler @ 2020-02-11 13:16 UTC (permalink / raw
To: gentoo-commits
commit: 55f5d8938ea10bd15797d263d9dd132c74c5cc4d
Author: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 11 13:16:02 2020 +0000
Commit: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Tue Feb 11 13:16:49 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=55f5d893
net-im/pidgin: Revbump to fix gnutls plugin
Thanks-to: Phil Stracchino (Unix Ronin) <phils <AT> caerllewys.net>
Closes: https://bugs.gentoo.org/708226
Package-Manager: Portage-2.3.88, Repoman-2.3.20
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>
.../files/pidgin-2.13.0-gnutls_sni_support.patch | 33 ++++++++++++++++++++++
...in-2.13.0-r5.ebuild => pidgin-2.13.0-r6.ebuild} | 1 +
2 files changed, 34 insertions(+)
diff --git a/net-im/pidgin/files/pidgin-2.13.0-gnutls_sni_support.patch b/net-im/pidgin/files/pidgin-2.13.0-gnutls_sni_support.patch
new file mode 100644
index 00000000000..df6b8e5cd03
--- /dev/null
+++ b/net-im/pidgin/files/pidgin-2.13.0-gnutls_sni_support.patch
@@ -0,0 +1,33 @@
+# HG changeset patch
+# User Mihai Moldovan <ionic@ionic.de>
+# Date 1576498301 -3600
+# Branch release-2.x.y
+# Node ID 6dba8046e1b120c506e1d911c6aa8757d7774c57
+# Parent 7a975763d3b64bdd8dd5371d711a4add647ed726
+Implement SNI support for the gnutls SSL plugin.
+
+Note that gnutls is picky in regard to what it accepts as the server name - it
+MUST be a domain name. IP addresses are not supported according to the
+documentation.
+
+Hence, filter out IP addresses and hope that whatever is not recognized as
+such an address is actually a domain name. This will probably fail for more
+exotic addresses (especially in IPv6 realm), but wiring up a full-blown parser
+is too much effort and SSL plugins are not part of purple-3 anyway.
+
+Fixes #17300
+
+diff --git a/libpurple/plugins/ssl/ssl-gnutls.c b/libpurple/plugins/ssl/ssl-gnutls.c
+--- a/libpurple/plugins/ssl/ssl-gnutls.c
++++ b/libpurple/plugins/ssl/ssl-gnutls.c
+@@ -403,6 +403,10 @@
+
+ gnutls_transport_set_ptr(gnutls_data->session, GINT_TO_POINTER(gsc->fd));
+
++ /* SNI support. */
++ if (gsc->host && !g_hostname_is_ip_address(gsc->host))
++ gnutls_server_name_set(gnutls_data->session, GNUTLS_NAME_DNS, gsc->host, strlen(gsc->host));
++
+ gnutls_data->handshake_handler = purple_input_add(gsc->fd,
+ PURPLE_INPUT_READ, ssl_gnutls_handshake_cb, gsc);
+
diff --git a/net-im/pidgin/pidgin-2.13.0-r5.ebuild b/net-im/pidgin/pidgin-2.13.0-r6.ebuild
similarity index 99%
rename from net-im/pidgin/pidgin-2.13.0-r5.ebuild
rename to net-im/pidgin/pidgin-2.13.0-r6.ebuild
index b6fa6ecd077..aee1ccb0a4b 100644
--- a/net-im/pidgin/pidgin-2.13.0-r5.ebuild
+++ b/net-im/pidgin/pidgin-2.13.0-r6.ebuild
@@ -144,6 +144,7 @@ PATCHES=(
"${DISTDIR}/${PN}-2.10.9-irc_join_sleep.patch" # 577286
"${FILESDIR}/${PN}-2.13.0-disable-one-jid-test.patch" # 593338
"${FILESDIR}/${PN}-2.13.0-python3_support.patch" #459996
+ "${FILESDIR}/${PN}-2.13.0-gnutls_sni_support.patch" #708226
)
pkg_pretend() {
^ permalink raw reply related [flat|nested] 7+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: net-im/pidgin/files/, net-im/pidgin/
@ 2021-04-02 14:25 Lars Wendler
0 siblings, 0 replies; 7+ messages in thread
From: Lars Wendler @ 2021-04-02 14:25 UTC (permalink / raw
To: gentoo-commits
commit: 9361b380da6f515a73fca873d56de7b86defc56b
Author: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Fri Apr 2 14:18:50 2021 +0000
Commit: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Fri Apr 2 14:24:57 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=9361b380
net-im/pidgin: Bump to version 2.14.2
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>
net-im/pidgin/Manifest | 1 +
.../pidgin-2.10.10-eds-3.6-configure.ac.patch | 5 +-
.../pidgin/files/pidgin-2.10.9-fix-gtkmedia.patch | 4 +-
net-im/pidgin/pidgin-2.14.2.ebuild | 295 +++++++++++++++++++++
4 files changed, 300 insertions(+), 5 deletions(-)
diff --git a/net-im/pidgin/Manifest b/net-im/pidgin/Manifest
index d5ad48d94d0..e7fc4168a81 100644
--- a/net-im/pidgin/Manifest
+++ b/net-im/pidgin/Manifest
@@ -1,3 +1,4 @@
DIST pidgin-2.10.9-irc_join_sleep.patch 534 BLAKE2B 0215cebb93993e19e700e4d4974351ab5e9a00ea094775076d8f439569b34c0ec2faaed360965867df58bc42677516983ce11a2601dd322c1bdf2f288253a5b8 SHA512 8de0d6f05e48cd5a3e894576e06c7fb82e4bfc778cce8bb179fa22e2a05f5c2390a0e4c5b626ee4b910a18eab170d8f4be200f435ce408a86575af99e51e3bdf
DIST pidgin-2.14.1.tar.bz2 8849275 BLAKE2B 27cd58a79f36c0176147c2e5bac7c4c18ec74c446c556e2326465c3607a95c3a58c1bdbbf9b4fb9741783ae982a6ce8fe0556ccff5b1608c9bba98626560412c SHA512 6ce5c58f32fa680d7f67e37a42b0f77c8253018cee21df2895d52166d9eb6ecaf0458b1610adbd46f337d00e75933db7578c2f9808654bd22838ba5db0a13030
+DIST pidgin-2.14.2.tar.bz2 8933924 BLAKE2B 8ca40cb9398f9f2e55b3dbb6aff12a55bfc27974c959476af8a7c779fa46df616e91474512b632658b280bf520eb43c9ddf62270b1553e17566b5c6a173bc88f SHA512 f1048644f39c37e210560f876412c0c63039c6045ba8e9477a00f05841078f6c9f6f97806e0c7824a8e60d2477dc835670920f5df58c5b434be76e6603e0005c
DIST pidgin-eds-3.6.patch.bz2 2352 BLAKE2B 1d69dc55f43b9efe5d5278a017642702d67a297fe2587467ec0fdca7f9888e26640efe9ac2a18f77ae9c523bf125a2cec6d0bf621f0b2b16f55d30df1bf470df SHA512 a0195679ab55ed9c7ea18ace6dbf0fc994698f1f4eea9d8335dfdcdcd6a68975c0191bd22f150bf5a9a0a691ce7e9e73d79598e1e8be541efa1d9824a633d877
diff --git a/net-im/pidgin/files/pidgin-2.10.10-eds-3.6-configure.ac.patch b/net-im/pidgin/files/pidgin-2.10.10-eds-3.6-configure.ac.patch
index 555ef8c1ab1..dc60b147e8e 100644
--- a/net-im/pidgin/files/pidgin-2.10.10-eds-3.6-configure.ac.patch
+++ b/net-im/pidgin/files/pidgin-2.10.10-eds-3.6-configure.ac.patch
@@ -1,6 +1,5 @@
-diff -urN pidgin-2.10.10.orig/configure.ac pidgin-2.10.10/configure.ac
---- pidgin-2.10.10.orig/configure.ac 2014-10-17 04:19:33.000000000 +0400
-+++ pidgin-2.10.10/configure.ac 2014-10-28 15:56:27.853702740 +0300
+--- pidgin-2.10.10/configure.ac
++++ pidgin-2.10.10/configure.ac
@@ -569,18 +569,10 @@
dnl # Check for stuff needed by the Evolution integration plugin.
dnl #######################################################################
diff --git a/net-im/pidgin/files/pidgin-2.10.9-fix-gtkmedia.patch b/net-im/pidgin/files/pidgin-2.10.9-fix-gtkmedia.patch
index 4cec3266380..74b30021d48 100644
--- a/net-im/pidgin/files/pidgin-2.10.9-fix-gtkmedia.patch
+++ b/net-im/pidgin/files/pidgin-2.10.9-fix-gtkmedia.patch
@@ -1,5 +1,5 @@
---- a/pidgin/Makefile.am 2014-02-02 22:29:20.000000000 +0100
-+++ b/pidgin/Makefile.am 2014-02-14 19:35:24.347547795 +0100
+--- a/pidgin/Makefile.am
++++ b/pidgin/Makefile.am
@@ -154,6 +154,7 @@
$(GSTREAMER_LIBS) \
$(XSS_LIBS) \
diff --git a/net-im/pidgin/pidgin-2.14.2.ebuild b/net-im/pidgin/pidgin-2.14.2.ebuild
new file mode 100644
index 00000000000..6a72b74271c
--- /dev/null
+++ b/net-im/pidgin/pidgin-2.14.2.ebuild
@@ -0,0 +1,295 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+GENTOO_DEPEND_ON_PERL=no
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit autotools gnome2-utils flag-o-matic toolchain-funcs multilib perl-module python-single-r1 xdg
+
+DESCRIPTION="GTK Instant Messenger client"
+HOMEPAGE="https://pidgin.im/"
+SRC_URI="
+ mirror://sourceforge/${PN}/${P}.tar.bz2
+ https://dev.gentoo.org/~polynomial-c/${PN}-eds-3.6.patch.bz2
+ https://gist.githubusercontent.com/imcleod/77f38d11af11b2413ada/raw/46e9d6cb4d2f839832dad2d697bb141a88028e04/pidgin-irc-join-sleep.patch -> ${PN}-2.10.9-irc_join_sleep.patch"
+
+LICENSE="GPL-2"
+SLOT="0/2" # libpurple version
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="aqua dbus debug doc eds gadu gnutls groupwise +gstreamer +gtk idn
+meanwhile ncurses networkmanager nls perl pie prediction python sasl spell tcl
+tk +xscreensaver zephyr zeroconf"
+
+# dbus requires python to generate C code for dbus bindings (thus DEPEND only).
+# finch uses libgnt that links with libpython - {R,}DEPEND. But still there is
+# no way to build dbus and avoid libgnt linkage with python. If you want this
+# send patch upstream.
+# purple-url-handler and purple-remote require dbus-python thus in reality we
+# rdepend on python if dbus enabled. But it is possible to separate this dep.
+RDEPEND="
+ >=dev-libs/glib-2.16
+ >=dev-libs/libxml2-2.6.18
+ ncurses? (
+ >=dev-libs/libgnt-$(ver_cut 1-2)
+ sys-libs/ncurses:0=[unicode]
+ dbus? ( ${PYTHON_DEPS} )
+ python? ( ${PYTHON_DEPS} )
+ )
+ gtk? (
+ >=x11-libs/gtk+-2.10:2[aqua=]
+ x11-libs/libSM
+ >=x11-libs/pango-1.4.0
+ xscreensaver? ( x11-libs/libXScrnSaver )
+ spell? ( >=app-text/gtkspell-2.0.2:2 )
+ eds? ( >=gnome-extra/evolution-data-server-3.6:= )
+ prediction? ( >=dev-db/sqlite-3.3:3 )
+ )
+ gstreamer? (
+ media-libs/gstreamer:1.0
+ media-libs/gst-plugins-base:1.0
+ >=net-libs/farstream-0.2.7:0.2
+ )
+ zeroconf? ( net-dns/avahi[dbus] )
+ dbus? (
+ >=dev-libs/dbus-glib-0.71
+ >=sys-apps/dbus-0.90
+ $(python_gen_cond_dep '
+ dev-python/dbus-python[${PYTHON_MULTI_USEDEP}]
+ ')
+ )
+ perl? ( >=dev-lang/perl-5.16:= )
+ gadu? ( >=net-libs/libgadu-1.11.0 )
+ gnutls? ( net-libs/gnutls:= )
+ !gnutls? (
+ dev-libs/nspr
+ dev-libs/nss
+ )
+ meanwhile? ( net-libs/meanwhile )
+ tcl? ( dev-lang/tcl:0= )
+ tk? ( dev-lang/tk:0= )
+ sasl? ( dev-libs/cyrus-sasl:2 )
+ networkmanager? ( net-misc/networkmanager )
+ idn? ( net-dns/libidn:= )
+"
+
+# We want nls in case gtk is enabled, bug #
+NLS_DEPEND=">=dev-util/intltool-0.41.1 sys-devel/gettext"
+
+DEPEND="${RDEPEND}
+ gtk? (
+ x11-base/xorg-proto
+ ${NLS_DEPEND}
+ )
+ dbus? ( ${PYTHON_DEPS} )
+"
+BDEPEND="
+ dev-lang/perl
+ dev-perl/XML-Parser
+ virtual/pkgconfig
+ doc? ( app-doc/doxygen )
+ !gtk? ( nls? ( ${NLS_DEPEND} ) )
+"
+
+DOCS=( AUTHORS HACKING NEWS README ChangeLog )
+
+REQUIRED_USE="
+ dbus? ( ${PYTHON_REQUIRED_USE} )
+ networkmanager? ( dbus )
+ python? ( ${PYTHON_REQUIRED_USE} )
+"
+
+# Enable Default protocols
+DYNAMIC_PRPLS="irc,jabber,oscar,simple"
+
+# List of plugins
+# app-accessibility/pidgin-festival
+# net-im/librvp
+# x11-plugins/guifications
+# x11-plugins/msn-pecan
+# x11-plugins/pidgin-encryption
+# x11-plugins/pidgin-extprefs
+# x11-plugins/pidgin-hotkeys
+# x11-plugins/pidgin-latex
+# x11-plugins/pidgintex
+# x11-plugins/pidgin-libnotify
+# x11-plugins/pidgin-mbpurple
+# x11-plugins/pidgin-bot-sentry
+# x11-plugins/pidgin-otr
+# x11-plugins/pidgin-rhythmbox
+# x11-plugins/purple-plugin_pack
+# x11-themes/pidgin-smileys
+# x11-plugins/pidgin-knotify
+# Plugins in Sunrise:
+# x11-plugins/pidgin-audacious-remote
+# x11-plugins/pidgin-autoanswer
+# x11-plugins/pidgin-birthday-reminder
+# x11-plugins/pidgin-blinklight
+# x11-plugins/pidgin-convreverse
+# x11-plugins/pidgin-embeddedvideo
+# x11-plugins/pidgin-extended-blist-sort
+# x11-plugins/pidgin-gfire
+# x11-plugins/pidgin-lastfm
+# x11-plugins/pidgin-sendscreenshot
+# x11-plugins/pidgimpd
+
+PATCHES=(
+ "${FILESDIR}/${PN}-2.14.0-gold.patch"
+ "${WORKDIR}/${PN}-eds-3.6.patch"
+ "${FILESDIR}/${PN}-2.10.9-fix-gtkmedia.patch"
+ "${FILESDIR}/${PN}-2.10.10-eds-3.6-configure.ac.patch"
+ "${FILESDIR}/${PN}-2.10.11-tinfo.patch"
+ "${DISTDIR}/${PN}-2.10.9-irc_join_sleep.patch" # 577286
+ "${FILESDIR}/${PN}-2.13.0-disable-one-jid-test.patch" # 593338
+ "${FILESDIR}/${PN}-2.13.0-metainfo.patch"
+)
+
+pkg_pretend() {
+ if ! use gtk && ! use ncurses ; then
+ elog "You did not pick the ncurses or gtk use flags, only libpurple"
+ elog "will be built."
+ fi
+
+ # dbus is enabled, no way to disable linkage with python => python is enabled
+ #REQUIRED_USE="gtk? ( nls ) dbus? ( python )"
+ if use gtk && ! use nls ; then
+ ewarn "gtk build => nls is enabled!"
+ fi
+ if use dbus && ! use python ; then
+ elog "dbus is enabled, no way to disable linkage with python => python is enabled"
+ fi
+}
+
+pkg_setup() {
+ if use python || use dbus ; then
+ python-single-r1_pkg_setup
+ fi
+}
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+src_configure() {
+ # Stabilize things, for your own good
+ strip-flags
+ replace-flags -O? -O2
+ use pie && append-cflags -fPIE -pie
+
+ use gadu && DYNAMIC_PRPLS+=",gg"
+ use groupwise && DYNAMIC_PRPLS+=",novell"
+ use meanwhile && DYNAMIC_PRPLS+=",sametime"
+ use zephyr && DYNAMIC_PRPLS+=",zephyr"
+ use zeroconf && DYNAMIC_PRPLS+=",bonjour"
+
+ local myconf=(
+ --disable-mono
+ --disable-static
+ --with-dynamic-prpls="${DYNAMIC_PRPLS}"
+ --with-system-ssl-certs="${EPREFIX}/etc/ssl/certs/"
+ --x-includes="${EPREFIX}"/usr/include/X11
+ $(use_enable ncurses consoleui)
+ $(use_enable gtk gtkui)
+ $(use_enable gtk sm)
+ $(usex gtk '--enable-nls' "$(use_enable nls)")
+ $(use gtk && use_enable xscreensaver screensaver)
+ $(use gtk && use_enable prediction cap)
+ $(use gtk && use_enable eds gevolution)
+ $(use gtk && use_enable spell gtkspell)
+ $(use_enable perl)
+ $(use_enable tk)
+ $(use_enable tcl)
+ $(use_enable debug)
+ $(use_enable dbus)
+ $(use_enable meanwhile)
+ $(use_enable gstreamer)
+ $(use_with gstreamer gstreamer 1.0)
+ $(use_enable gstreamer farstream)
+ $(use_enable gstreamer vv)
+ $(use_enable sasl cyrus-sasl )
+ $(use_enable doc doxygen)
+ $(use_enable networkmanager nm)
+ $(use_enable zeroconf avahi)
+ $(use_enable idn)
+ )
+
+ if use gnutls; then
+ einfo "Disabling NSS, using GnuTLS"
+ myconf+=(
+ --enable-nss=no
+ --enable-gnutls=yes
+ --with-gnutls-includes="${EPREFIX}/usr/include/gnutls"
+ --with-gnutls-libs="${EPREFIX}/usr/$(get_libdir)"
+ )
+ else
+ einfo "Disabling GnuTLS, using NSS"
+ myconf+=(
+ --enable-gnutls=no
+ --enable-nss=yes
+ )
+ fi
+
+ if use dbus || { use ncurses && use python ; } ; then
+ myconf+=( --with-python3=${PYTHON} )
+ else
+ myconf+=( --without-python3 )
+ fi
+
+ econf "${myconf[@]}"
+}
+
+src_install() {
+ # setting this here because gnome2.eclass is not EAPI-7 ready
+ export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL="1"
+ default
+
+ if use gtk ; then
+ # Fix tray paths for e16 (x11-wm/enlightenment) and other
+ # implementations that are not complient with new hicolor theme yet, #323355
+ local d f pixmapdir
+ for d in 16 22 32 48 ; do
+ pixmapdir="${ED}/usr/share/pixmaps/pidgin/tray/hicolor/${d}x${d}/actions"
+ mkdir "${pixmapdir}" || die
+ pushd "${pixmapdir}" >/dev/null || die
+ for f in ../status/*; do
+ ln -s ${f} || die
+ done
+ popd >/dev/null || die
+ done
+ fi
+ use perl && perl_delete_localpod
+
+ if use python && use dbus ; then
+ python_fix_shebang "${ED}"
+ python_optimize
+ fi
+
+ dodoc ${DOCS[@]} finch/plugins/pietray.py
+ docompress -x /usr/share/doc/${PF}/pietray.py
+
+ find "${ED}" -type f -name "*.la" -delete || die
+}
+
+src_test() {
+ # make default build logs slightly more useful
+ emake check VERBOSE=1
+}
+
+pkg_preinst() {
+ gnome2_gconf_savelist
+ xdg_pkg_preinst
+}
+
+pkg_postinst() {
+ gnome2_gconf_install
+ gnome2_schemas_update
+ xdg_pkg_postinst
+}
+
+pkg_postrm() {
+ gnome2_gconf_uninstall
+ gnome2_schemas_update
+ xdg_pkg_postrm
+}
^ permalink raw reply related [flat|nested] 7+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: net-im/pidgin/files/, net-im/pidgin/
@ 2021-04-09 8:05 Lars Wendler
0 siblings, 0 replies; 7+ messages in thread
From: Lars Wendler @ 2021-04-09 8:05 UTC (permalink / raw
To: gentoo-commits
commit: 41d8877166bf75081374f9b97d81531b7b822507
Author: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Fri Apr 9 08:02:38 2021 +0000
Commit: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Fri Apr 9 08:05:16 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=41d88771
net-im/pidgin: Bump to version 2.14.3
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>
net-im/pidgin/Manifest | 1 +
.../files/pidgin-2.14.3-remove_oscar_tests.patch | 10 +
net-im/pidgin/pidgin-2.14.3.ebuild | 296 +++++++++++++++++++++
3 files changed, 307 insertions(+)
diff --git a/net-im/pidgin/Manifest b/net-im/pidgin/Manifest
index e7fc4168a81..947068956d6 100644
--- a/net-im/pidgin/Manifest
+++ b/net-im/pidgin/Manifest
@@ -1,4 +1,5 @@
DIST pidgin-2.10.9-irc_join_sleep.patch 534 BLAKE2B 0215cebb93993e19e700e4d4974351ab5e9a00ea094775076d8f439569b34c0ec2faaed360965867df58bc42677516983ce11a2601dd322c1bdf2f288253a5b8 SHA512 8de0d6f05e48cd5a3e894576e06c7fb82e4bfc778cce8bb179fa22e2a05f5c2390a0e4c5b626ee4b910a18eab170d8f4be200f435ce408a86575af99e51e3bdf
DIST pidgin-2.14.1.tar.bz2 8849275 BLAKE2B 27cd58a79f36c0176147c2e5bac7c4c18ec74c446c556e2326465c3607a95c3a58c1bdbbf9b4fb9741783ae982a6ce8fe0556ccff5b1608c9bba98626560412c SHA512 6ce5c58f32fa680d7f67e37a42b0f77c8253018cee21df2895d52166d9eb6ecaf0458b1610adbd46f337d00e75933db7578c2f9808654bd22838ba5db0a13030
DIST pidgin-2.14.2.tar.bz2 8933924 BLAKE2B 8ca40cb9398f9f2e55b3dbb6aff12a55bfc27974c959476af8a7c779fa46df616e91474512b632658b280bf520eb43c9ddf62270b1553e17566b5c6a173bc88f SHA512 f1048644f39c37e210560f876412c0c63039c6045ba8e9477a00f05841078f6c9f6f97806e0c7824a8e60d2477dc835670920f5df58c5b434be76e6603e0005c
+DIST pidgin-2.14.3.tar.bz2 8688849 BLAKE2B 5d1f28ca5c452b13d2a6d6ab0c9101f14da3b5a291a838dab4b7cda99c76b3e411414b186ae493f08bd9764c65eab4b41eb9a45d340fe885f8bf9bf092911d43 SHA512 70f426900ce76afcdad76bcd06ebc320f562fe4089ec87c639d8d0d90823077f5e815932b62c3ff3da6270b3acfde3c8222d9b8c5cbb211421239c9dcc69b909
DIST pidgin-eds-3.6.patch.bz2 2352 BLAKE2B 1d69dc55f43b9efe5d5278a017642702d67a297fe2587467ec0fdca7f9888e26640efe9ac2a18f77ae9c523bf125a2cec6d0bf621f0b2b16f55d30df1bf470df SHA512 a0195679ab55ed9c7ea18ace6dbf0fc994698f1f4eea9d8335dfdcdcd6a68975c0191bd22f150bf5a9a0a691ce7e9e73d79598e1e8be541efa1d9824a633d877
diff --git a/net-im/pidgin/files/pidgin-2.14.3-remove_oscar_tests.patch b/net-im/pidgin/files/pidgin-2.14.3-remove_oscar_tests.patch
new file mode 100644
index 00000000000..c20b1a00e87
--- /dev/null
+++ b/net-im/pidgin/files/pidgin-2.14.3-remove_oscar_tests.patch
@@ -0,0 +1,10 @@
+--- pidgin-2.14.3/libpurple/tests/check_libpurple.c
++++ pidgin-2.14.3/libpurple/tests/check_libpurple.c
+@@ -91,7 +91,6 @@
+ srunner_add_suite(sr, jabber_digest_md5_suite());
+ srunner_add_suite(sr, jabber_jutil_suite());
+ srunner_add_suite(sr, jabber_scram_suite());
+- srunner_add_suite(sr, oscar_util_suite());
+ srunner_add_suite(sr, util_suite());
+ srunner_add_suite(sr, xmlnode_suite());
+
diff --git a/net-im/pidgin/pidgin-2.14.3.ebuild b/net-im/pidgin/pidgin-2.14.3.ebuild
new file mode 100644
index 00000000000..e1cb616174a
--- /dev/null
+++ b/net-im/pidgin/pidgin-2.14.3.ebuild
@@ -0,0 +1,296 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+GENTOO_DEPEND_ON_PERL=no
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit autotools gnome2-utils flag-o-matic toolchain-funcs multilib perl-module python-single-r1 xdg
+
+DESCRIPTION="GTK Instant Messenger client"
+HOMEPAGE="https://pidgin.im/"
+SRC_URI="
+ mirror://sourceforge/${PN}/${P}.tar.bz2
+ https://dev.gentoo.org/~polynomial-c/${PN}-eds-3.6.patch.bz2
+ https://gist.githubusercontent.com/imcleod/77f38d11af11b2413ada/raw/46e9d6cb4d2f839832dad2d697bb141a88028e04/pidgin-irc-join-sleep.patch -> ${PN}-2.10.9-irc_join_sleep.patch"
+
+LICENSE="GPL-2"
+SLOT="0/2" # libpurple version
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="aqua dbus debug doc eds gadu gnutls groupwise +gstreamer +gtk idn
+meanwhile ncurses networkmanager nls perl pie prediction python sasl spell tcl
+tk +xscreensaver zephyr zeroconf"
+
+# dbus requires python to generate C code for dbus bindings (thus DEPEND only).
+# finch uses libgnt that links with libpython - {R,}DEPEND. But still there is
+# no way to build dbus and avoid libgnt linkage with python. If you want this
+# send patch upstream.
+# purple-url-handler and purple-remote require dbus-python thus in reality we
+# rdepend on python if dbus enabled. But it is possible to separate this dep.
+RDEPEND="
+ >=dev-libs/glib-2.16
+ >=dev-libs/libxml2-2.6.18
+ ncurses? (
+ >=dev-libs/libgnt-$(ver_cut 1-2)
+ sys-libs/ncurses:0=[unicode]
+ dbus? ( ${PYTHON_DEPS} )
+ python? ( ${PYTHON_DEPS} )
+ )
+ gtk? (
+ >=x11-libs/gtk+-2.10:2[aqua=]
+ x11-libs/libSM
+ >=x11-libs/pango-1.4.0
+ xscreensaver? ( x11-libs/libXScrnSaver )
+ spell? ( >=app-text/gtkspell-2.0.2:2 )
+ eds? ( >=gnome-extra/evolution-data-server-3.6:= )
+ prediction? ( >=dev-db/sqlite-3.3:3 )
+ )
+ gstreamer? (
+ media-libs/gstreamer:1.0
+ media-libs/gst-plugins-base:1.0
+ >=net-libs/farstream-0.2.7:0.2
+ )
+ zeroconf? ( net-dns/avahi[dbus] )
+ dbus? (
+ >=dev-libs/dbus-glib-0.71
+ >=sys-apps/dbus-0.90
+ $(python_gen_cond_dep '
+ dev-python/dbus-python[${PYTHON_MULTI_USEDEP}]
+ ')
+ )
+ perl? ( >=dev-lang/perl-5.16:= )
+ gadu? ( >=net-libs/libgadu-1.11.0 )
+ gnutls? ( net-libs/gnutls:= )
+ !gnutls? (
+ dev-libs/nspr
+ dev-libs/nss
+ )
+ meanwhile? ( net-libs/meanwhile )
+ tcl? ( dev-lang/tcl:0= )
+ tk? ( dev-lang/tk:0= )
+ sasl? ( dev-libs/cyrus-sasl:2 )
+ networkmanager? ( net-misc/networkmanager )
+ idn? ( net-dns/libidn:= )
+"
+
+# We want nls in case gtk is enabled, bug #
+NLS_DEPEND=">=dev-util/intltool-0.41.1 sys-devel/gettext"
+
+DEPEND="${RDEPEND}
+ gtk? (
+ x11-base/xorg-proto
+ ${NLS_DEPEND}
+ )
+ dbus? ( ${PYTHON_DEPS} )
+"
+BDEPEND="
+ dev-lang/perl
+ dev-perl/XML-Parser
+ virtual/pkgconfig
+ doc? ( app-doc/doxygen )
+ !gtk? ( nls? ( ${NLS_DEPEND} ) )
+"
+
+DOCS=( AUTHORS HACKING NEWS README ChangeLog )
+
+REQUIRED_USE="
+ dbus? ( ${PYTHON_REQUIRED_USE} )
+ networkmanager? ( dbus )
+ python? ( ${PYTHON_REQUIRED_USE} )
+"
+
+# Enable Default protocols
+DYNAMIC_PRPLS="irc,jabber,simple"
+
+# List of plugins
+# app-accessibility/pidgin-festival
+# net-im/librvp
+# x11-plugins/guifications
+# x11-plugins/msn-pecan
+# x11-plugins/pidgin-encryption
+# x11-plugins/pidgin-extprefs
+# x11-plugins/pidgin-hotkeys
+# x11-plugins/pidgin-latex
+# x11-plugins/pidgintex
+# x11-plugins/pidgin-libnotify
+# x11-plugins/pidgin-mbpurple
+# x11-plugins/pidgin-bot-sentry
+# x11-plugins/pidgin-otr
+# x11-plugins/pidgin-rhythmbox
+# x11-plugins/purple-plugin_pack
+# x11-themes/pidgin-smileys
+# x11-plugins/pidgin-knotify
+# Plugins in Sunrise:
+# x11-plugins/pidgin-audacious-remote
+# x11-plugins/pidgin-autoanswer
+# x11-plugins/pidgin-birthday-reminder
+# x11-plugins/pidgin-blinklight
+# x11-plugins/pidgin-convreverse
+# x11-plugins/pidgin-embeddedvideo
+# x11-plugins/pidgin-extended-blist-sort
+# x11-plugins/pidgin-gfire
+# x11-plugins/pidgin-lastfm
+# x11-plugins/pidgin-sendscreenshot
+# x11-plugins/pidgimpd
+
+PATCHES=(
+ "${FILESDIR}/${PN}-2.14.0-gold.patch"
+ "${WORKDIR}/${PN}-eds-3.6.patch"
+ "${FILESDIR}/${PN}-2.10.9-fix-gtkmedia.patch"
+ "${FILESDIR}/${PN}-2.10.10-eds-3.6-configure.ac.patch"
+ "${FILESDIR}/${PN}-2.10.11-tinfo.patch"
+ "${DISTDIR}/${PN}-2.10.9-irc_join_sleep.patch" # 577286
+ "${FILESDIR}/${PN}-2.13.0-disable-one-jid-test.patch" # 593338
+ "${FILESDIR}/${PN}-2.13.0-metainfo.patch"
+ "${FILESDIR}/${PN}-2.14.3-remove_oscar_tests.patch"
+)
+
+pkg_pretend() {
+ if ! use gtk && ! use ncurses ; then
+ elog "You did not pick the ncurses or gtk use flags, only libpurple"
+ elog "will be built."
+ fi
+
+ # dbus is enabled, no way to disable linkage with python => python is enabled
+ #REQUIRED_USE="gtk? ( nls ) dbus? ( python )"
+ if use gtk && ! use nls ; then
+ ewarn "gtk build => nls is enabled!"
+ fi
+ if use dbus && ! use python ; then
+ elog "dbus is enabled, no way to disable linkage with python => python is enabled"
+ fi
+}
+
+pkg_setup() {
+ if use python || use dbus ; then
+ python-single-r1_pkg_setup
+ fi
+}
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+src_configure() {
+ # Stabilize things, for your own good
+ strip-flags
+ replace-flags -O? -O2
+ use pie && append-cflags -fPIE -pie
+
+ use gadu && DYNAMIC_PRPLS+=",gg"
+ use groupwise && DYNAMIC_PRPLS+=",novell"
+ use meanwhile && DYNAMIC_PRPLS+=",sametime"
+ use zephyr && DYNAMIC_PRPLS+=",zephyr"
+ use zeroconf && DYNAMIC_PRPLS+=",bonjour"
+
+ local myconf=(
+ --disable-mono
+ --disable-static
+ --with-dynamic-prpls="${DYNAMIC_PRPLS}"
+ --with-system-ssl-certs="${EPREFIX}/etc/ssl/certs/"
+ --x-includes="${EPREFIX}"/usr/include/X11
+ $(use_enable ncurses consoleui)
+ $(use_enable gtk gtkui)
+ $(use_enable gtk sm)
+ $(usex gtk '--enable-nls' "$(use_enable nls)")
+ $(use gtk && use_enable xscreensaver screensaver)
+ $(use gtk && use_enable prediction cap)
+ $(use gtk && use_enable eds gevolution)
+ $(use gtk && use_enable spell gtkspell)
+ $(use_enable perl)
+ $(use_enable tk)
+ $(use_enable tcl)
+ $(use_enable debug)
+ $(use_enable dbus)
+ $(use_enable meanwhile)
+ $(use_enable gstreamer)
+ $(use_with gstreamer gstreamer 1.0)
+ $(use_enable gstreamer farstream)
+ $(use_enable gstreamer vv)
+ $(use_enable sasl cyrus-sasl )
+ $(use_enable doc doxygen)
+ $(use_enable networkmanager nm)
+ $(use_enable zeroconf avahi)
+ $(use_enable idn)
+ )
+
+ if use gnutls; then
+ einfo "Disabling NSS, using GnuTLS"
+ myconf+=(
+ --enable-nss=no
+ --enable-gnutls=yes
+ --with-gnutls-includes="${EPREFIX}/usr/include/gnutls"
+ --with-gnutls-libs="${EPREFIX}/usr/$(get_libdir)"
+ )
+ else
+ einfo "Disabling GnuTLS, using NSS"
+ myconf+=(
+ --enable-gnutls=no
+ --enable-nss=yes
+ )
+ fi
+
+ if use dbus || { use ncurses && use python ; } ; then
+ myconf+=( --with-python3=${PYTHON} )
+ else
+ myconf+=( --without-python3 )
+ fi
+
+ econf "${myconf[@]}"
+}
+
+src_install() {
+ # setting this here because gnome2.eclass is not EAPI-7 ready
+ export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL="1"
+ default
+
+ if use gtk ; then
+ # Fix tray paths for e16 (x11-wm/enlightenment) and other
+ # implementations that are not compliant with new hicolor theme yet, #323355
+ local d f pixmapdir
+ for d in 16 22 32 48 ; do
+ pixmapdir="${ED}/usr/share/pixmaps/pidgin/tray/hicolor/${d}x${d}/actions"
+ mkdir "${pixmapdir}" || die
+ pushd "${pixmapdir}" >/dev/null || die
+ for f in ../status/*; do
+ ln -s ${f} || die
+ done
+ popd >/dev/null || die
+ done
+ fi
+ use perl && perl_delete_localpod
+
+ if use python && use dbus ; then
+ python_fix_shebang "${ED}"
+ python_optimize
+ fi
+
+ dodoc ${DOCS[@]} finch/plugins/pietray.py
+ docompress -x /usr/share/doc/${PF}/pietray.py
+
+ find "${ED}" -type f -name "*.la" -delete || die
+}
+
+src_test() {
+ # make default build logs slightly more useful
+ emake check VERBOSE=1
+}
+
+pkg_preinst() {
+ gnome2_gconf_savelist
+ xdg_pkg_preinst
+}
+
+pkg_postinst() {
+ gnome2_gconf_install
+ gnome2_schemas_update
+ xdg_pkg_postinst
+}
+
+pkg_postrm() {
+ gnome2_gconf_uninstall
+ gnome2_schemas_update
+ xdg_pkg_postrm
+}
^ permalink raw reply related [flat|nested] 7+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: net-im/pidgin/files/, net-im/pidgin/
@ 2021-07-27 9:24 Lars Wendler
0 siblings, 0 replies; 7+ messages in thread
From: Lars Wendler @ 2021-07-27 9:24 UTC (permalink / raw
To: gentoo-commits
commit: 1e3e7401f60f3f6be6f8b6c0d60b470cf3768278
Author: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Tue Jul 27 09:12:50 2021 +0000
Commit: Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Tue Jul 27 09:24:21 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=1e3e7401
net-im/pidgin: Removed old
Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>
net-im/pidgin/Manifest | 2 -
.../pidgin-2.10.10-eds-3.6-configure.ac.patch | 22 --
.../pidgin/files/pidgin-2.10.9-fix-gtkmedia.patch | 10 -
net-im/pidgin/files/pidgin-2.13.0-metainfo.patch | 11 -
net-im/pidgin/files/pidgin-2.14.0-gold.patch | 11 -
.../files/pidgin-2.14.3-remove_oscar_tests.patch | 10 -
net-im/pidgin/pidgin-2.14.3-r2.ebuild | 296 ---------------------
7 files changed, 362 deletions(-)
diff --git a/net-im/pidgin/Manifest b/net-im/pidgin/Manifest
index 40ebb60e511..4cba9a44dc5 100644
--- a/net-im/pidgin/Manifest
+++ b/net-im/pidgin/Manifest
@@ -1,5 +1,3 @@
DIST pidgin-2.10.9-irc_join_sleep.patch 534 BLAKE2B 0215cebb93993e19e700e4d4974351ab5e9a00ea094775076d8f439569b34c0ec2faaed360965867df58bc42677516983ce11a2601dd322c1bdf2f288253a5b8 SHA512 8de0d6f05e48cd5a3e894576e06c7fb82e4bfc778cce8bb179fa22e2a05f5c2390a0e4c5b626ee4b910a18eab170d8f4be200f435ce408a86575af99e51e3bdf
-DIST pidgin-2.14.3.tar.bz2 8688849 BLAKE2B 5d1f28ca5c452b13d2a6d6ab0c9101f14da3b5a291a838dab4b7cda99c76b3e411414b186ae493f08bd9764c65eab4b41eb9a45d340fe885f8bf9bf092911d43 SHA512 70f426900ce76afcdad76bcd06ebc320f562fe4089ec87c639d8d0d90823077f5e815932b62c3ff3da6270b3acfde3c8222d9b8c5cbb211421239c9dcc69b909
DIST pidgin-2.14.5.tar.bz2 8696780 BLAKE2B 4563b6aabdaba8af7dd7a1f8978418bcdcc347fc10731606e44de537d2a451c9cec17d17c44d88e0eefda110927c471788ae6128a7e006666603bdc6d842c9b1 SHA512 3aa00156e73643c7a23bc3a1ff26ecd7ee89c0d91571a23bf00e54aa87f25d2b604990d33263e8f74f6499d8e08646aa524e14063e8000e60d1b49d74c5cc784
DIST pidgin-2.14.6.tar.bz2 8672222 BLAKE2B d2e6428728f18096c957b10d7cc5e79704c0fbb403967e3968f59393db125307fc6fc84c90d66788b4a27bd9707b126c1f0df532c2a1e7d1b62356127e87371c SHA512 19ea12b6c9e99b6215a7d955f02d52ad19de8c4beb00806276c8c184d5cc338db119197e0cc9f4685705bd8b83f35c8f63565095b49a319f9696aab37735951b
-DIST pidgin-eds-3.6.patch.bz2 2352 BLAKE2B 1d69dc55f43b9efe5d5278a017642702d67a297fe2587467ec0fdca7f9888e26640efe9ac2a18f77ae9c523bf125a2cec6d0bf621f0b2b16f55d30df1bf470df SHA512 a0195679ab55ed9c7ea18ace6dbf0fc994698f1f4eea9d8335dfdcdcd6a68975c0191bd22f150bf5a9a0a691ce7e9e73d79598e1e8be541efa1d9824a633d877
diff --git a/net-im/pidgin/files/pidgin-2.10.10-eds-3.6-configure.ac.patch b/net-im/pidgin/files/pidgin-2.10.10-eds-3.6-configure.ac.patch
deleted file mode 100644
index dc60b147e8e..00000000000
--- a/net-im/pidgin/files/pidgin-2.10.10-eds-3.6-configure.ac.patch
+++ /dev/null
@@ -1,22 +0,0 @@
---- pidgin-2.10.10/configure.ac
-+++ pidgin-2.10.10/configure.ac
-@@ -569,18 +569,10 @@
- dnl # Check for stuff needed by the Evolution integration plugin.
- dnl #######################################################################
- if test "x$enable_gevolution" = "xyes"; then
-- evo_deps="libebook-1.2 libedata-book-1.2 evolution-data-server-1.2 < 3.6"
-+ evo_deps="libebook-1.2 libedata-book-1.2 evolution-data-server-1.2 >= 3.6"
- PKG_CHECK_MODULES(EVOLUTION_ADDRESSBOOK, $evo_deps, , [
- enable_gevolution="no"
- ])
-- if test "x$enable_gevolution" = "xno"; then
-- evo_deps="libebook-1.0 libedata-book-1.0"
-- PKG_CHECK_MODULES(EVOLUTION_ADDRESSBOOK, $evo_deps, [
-- enable_gevolution="yes"
-- ], [
-- enable_gevolution="no"
-- ])
-- fi
- if test "x$enable_gevolution" = "xyes"; then
- AC_DEFINE(HAVE_EVOLUTION_ADDRESSBOOK, 1, [Define if we're using evolution addressbook.])
- AC_SUBST(EVOLUTION_ADDRESSBOOK_CFLAGS)
diff --git a/net-im/pidgin/files/pidgin-2.10.9-fix-gtkmedia.patch b/net-im/pidgin/files/pidgin-2.10.9-fix-gtkmedia.patch
deleted file mode 100644
index 74b30021d48..00000000000
--- a/net-im/pidgin/files/pidgin-2.10.9-fix-gtkmedia.patch
+++ /dev/null
@@ -1,10 +0,0 @@
---- a/pidgin/Makefile.am
-+++ b/pidgin/Makefile.am
-@@ -154,6 +154,7 @@
- $(GSTREAMER_LIBS) \
- $(XSS_LIBS) \
- $(SM_LIBS) \
-+ $(X11_LIBS) \
- $(INTLLIBS) \
- $(GTKSPELL_LIBS) \
- $(LIBXML_LIBS) \
diff --git a/net-im/pidgin/files/pidgin-2.13.0-metainfo.patch b/net-im/pidgin/files/pidgin-2.13.0-metainfo.patch
deleted file mode 100644
index 34d1dc16044..00000000000
--- a/net-im/pidgin/files/pidgin-2.13.0-metainfo.patch
+++ /dev/null
@@ -1,11 +0,0 @@
---- pidgin-2.13.0/pidgin/Makefile.am
-+++ pidgin-2.13.0/pidgin/Makefile.am
-@@ -191,7 +191,7 @@
- apps_DATA = $(apps_in_files:.desktop.in=.desktop)
- @INTLTOOL_DESKTOP_RULE@
-
--appdatadir = $(datarootdir)/appdata
-+appdatadir = $(datarootdir)/metainfo
- appdata_DATA = $(appdata_in_files:.xml.in=.xml)
- appdata_in_files = data/pidgin.appdata.xml.in
-
diff --git a/net-im/pidgin/files/pidgin-2.14.0-gold.patch b/net-im/pidgin/files/pidgin-2.14.0-gold.patch
deleted file mode 100644
index 718b3099581..00000000000
--- a/net-im/pidgin/files/pidgin-2.14.0-gold.patch
+++ /dev/null
@@ -1,11 +0,0 @@
---- pidgin-2.14.0/pidgin/Makefile.am
-+++ pidgin-2.14.0/pidgin/Makefile.am
-@@ -162,7 +162,7 @@
- $(LIBXML_LIBS) \
- $(GTK_LIBS) \
- $(GIO_UNIX_LIBS) \
-- $(top_builddir)/libpurple/libpurple.la
-+ $(top_builddir)/libpurple/libpurple.la -lm
-
- AM_CPPFLAGS = \
- -DDATADIR=\"$(datadir)\" \
diff --git a/net-im/pidgin/files/pidgin-2.14.3-remove_oscar_tests.patch b/net-im/pidgin/files/pidgin-2.14.3-remove_oscar_tests.patch
deleted file mode 100644
index c20b1a00e87..00000000000
--- a/net-im/pidgin/files/pidgin-2.14.3-remove_oscar_tests.patch
+++ /dev/null
@@ -1,10 +0,0 @@
---- pidgin-2.14.3/libpurple/tests/check_libpurple.c
-+++ pidgin-2.14.3/libpurple/tests/check_libpurple.c
-@@ -91,7 +91,6 @@
- srunner_add_suite(sr, jabber_digest_md5_suite());
- srunner_add_suite(sr, jabber_jutil_suite());
- srunner_add_suite(sr, jabber_scram_suite());
-- srunner_add_suite(sr, oscar_util_suite());
- srunner_add_suite(sr, util_suite());
- srunner_add_suite(sr, xmlnode_suite());
-
diff --git a/net-im/pidgin/pidgin-2.14.3-r2.ebuild b/net-im/pidgin/pidgin-2.14.3-r2.ebuild
deleted file mode 100644
index fca4c0679d3..00000000000
--- a/net-im/pidgin/pidgin-2.14.3-r2.ebuild
+++ /dev/null
@@ -1,296 +0,0 @@
-# Copyright 1999-2021 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-GENTOO_DEPEND_ON_PERL=no
-PYTHON_COMPAT=( python3_{8..9} )
-
-inherit autotools gnome2-utils flag-o-matic toolchain-funcs multilib perl-module python-single-r1 xdg
-
-DESCRIPTION="GTK Instant Messenger client"
-HOMEPAGE="https://pidgin.im/"
-SRC_URI="
- mirror://sourceforge/${PN}/${P}.tar.bz2
- https://dev.gentoo.org/~polynomial-c/${PN}-eds-3.6.patch.bz2
- https://gist.githubusercontent.com/imcleod/77f38d11af11b2413ada/raw/46e9d6cb4d2f839832dad2d697bb141a88028e04/pidgin-irc-join-sleep.patch -> ${PN}-2.10.9-irc_join_sleep.patch"
-
-LICENSE="GPL-2"
-SLOT="0/2" # libpurple version
-KEYWORDS="~alpha amd64 arm arm64 ~ia64 ppc ppc64 sparc x86 ~amd64-linux ~x86-linux"
-IUSE="aqua dbus debug doc eds gadu gnutls groupwise +gstreamer +gtk idn
-meanwhile ncurses networkmanager nls perl pie prediction python sasl spell tcl
-tk +xscreensaver zephyr zeroconf"
-
-# dbus requires python to generate C code for dbus bindings (thus DEPEND only).
-# finch uses libgnt that links with libpython - {R,}DEPEND. But still there is
-# no way to build dbus and avoid libgnt linkage with python. If you want this
-# send patch upstream.
-# purple-url-handler and purple-remote require dbus-python thus in reality we
-# rdepend on python if dbus enabled. But it is possible to separate this dep.
-RDEPEND="
- >=dev-libs/glib-2.16
- >=dev-libs/libxml2-2.6.18
- ncurses? (
- >=dev-libs/libgnt-$(ver_cut 1-2)
- sys-libs/ncurses:=[unicode(+)]
- dbus? ( ${PYTHON_DEPS} )
- python? ( ${PYTHON_DEPS} )
- )
- gtk? (
- >=x11-libs/gtk+-2.10:2[aqua=]
- x11-libs/libSM
- >=x11-libs/pango-1.4.0
- xscreensaver? ( x11-libs/libXScrnSaver )
- spell? ( >=app-text/gtkspell-2.0.2:2 )
- eds? ( >=gnome-extra/evolution-data-server-3.6:= )
- prediction? ( >=dev-db/sqlite-3.3:3 )
- )
- gstreamer? (
- media-libs/gstreamer:1.0
- media-libs/gst-plugins-base:1.0
- >=net-libs/farstream-0.2.7:0.2
- )
- zeroconf? ( net-dns/avahi[dbus] )
- dbus? (
- >=dev-libs/dbus-glib-0.71
- >=sys-apps/dbus-0.90
- $(python_gen_cond_dep '
- dev-python/dbus-python[${PYTHON_USEDEP}]
- ')
- )
- perl? ( >=dev-lang/perl-5.16:= )
- gadu? ( >=net-libs/libgadu-1.11.0 )
- gnutls? ( net-libs/gnutls:= )
- !gnutls? (
- dev-libs/nspr
- dev-libs/nss
- )
- meanwhile? ( net-libs/meanwhile )
- tcl? ( dev-lang/tcl:0= )
- tk? ( dev-lang/tk:0= )
- sasl? ( dev-libs/cyrus-sasl:2 )
- networkmanager? ( net-misc/networkmanager )
- idn? ( net-dns/libidn:= )
-"
-
-# We want nls in case gtk is enabled, bug #
-NLS_DEPEND=">=dev-util/intltool-0.41.1 sys-devel/gettext"
-
-DEPEND="${RDEPEND}
- gtk? (
- x11-base/xorg-proto
- ${NLS_DEPEND}
- )
- dbus? ( ${PYTHON_DEPS} )
-"
-BDEPEND="
- dev-lang/perl
- dev-perl/XML-Parser
- virtual/pkgconfig
- doc? ( app-doc/doxygen )
- !gtk? ( nls? ( ${NLS_DEPEND} ) )
-"
-
-DOCS=( AUTHORS HACKING NEWS README ChangeLog )
-
-REQUIRED_USE="
- dbus? ( ${PYTHON_REQUIRED_USE} )
- networkmanager? ( dbus )
- python? ( ${PYTHON_REQUIRED_USE} )
-"
-
-# Enable Default protocols
-DYNAMIC_PRPLS="irc,jabber,simple"
-
-# List of plugins
-# app-accessibility/pidgin-festival
-# net-im/librvp
-# x11-plugins/guifications
-# x11-plugins/msn-pecan
-# x11-plugins/pidgin-encryption
-# x11-plugins/pidgin-extprefs
-# x11-plugins/pidgin-hotkeys
-# x11-plugins/pidgin-latex
-# x11-plugins/pidgintex
-# x11-plugins/pidgin-libnotify
-# x11-plugins/pidgin-mbpurple
-# x11-plugins/pidgin-bot-sentry
-# x11-plugins/pidgin-otr
-# x11-plugins/pidgin-rhythmbox
-# x11-plugins/purple-plugin_pack
-# x11-themes/pidgin-smileys
-# x11-plugins/pidgin-knotify
-# Plugins in Sunrise:
-# x11-plugins/pidgin-audacious-remote
-# x11-plugins/pidgin-autoanswer
-# x11-plugins/pidgin-birthday-reminder
-# x11-plugins/pidgin-blinklight
-# x11-plugins/pidgin-convreverse
-# x11-plugins/pidgin-embeddedvideo
-# x11-plugins/pidgin-extended-blist-sort
-# x11-plugins/pidgin-gfire
-# x11-plugins/pidgin-lastfm
-# x11-plugins/pidgin-sendscreenshot
-# x11-plugins/pidgimpd
-
-PATCHES=(
- "${FILESDIR}/${PN}-2.14.0-gold.patch"
- "${WORKDIR}/${PN}-eds-3.6.patch"
- "${FILESDIR}/${PN}-2.10.9-fix-gtkmedia.patch"
- "${FILESDIR}/${PN}-2.10.10-eds-3.6-configure.ac.patch"
- "${FILESDIR}/${PN}-2.10.11-tinfo.patch"
- "${DISTDIR}/${PN}-2.10.9-irc_join_sleep.patch" # 577286
- "${FILESDIR}/${PN}-2.13.0-disable-one-jid-test.patch" # 593338
- "${FILESDIR}/${PN}-2.13.0-metainfo.patch"
- "${FILESDIR}/${PN}-2.14.3-remove_oscar_tests.patch"
-)
-
-pkg_pretend() {
- if ! use gtk && ! use ncurses ; then
- elog "You did not pick the ncurses or gtk use flags, only libpurple"
- elog "will be built."
- fi
-
- # dbus is enabled, no way to disable linkage with python => python is enabled
- #REQUIRED_USE="gtk? ( nls ) dbus? ( python )"
- if use gtk && ! use nls ; then
- ewarn "gtk build => nls is enabled!"
- fi
- if use dbus && ! use python ; then
- elog "dbus is enabled, no way to disable linkage with python => python is enabled"
- fi
-}
-
-pkg_setup() {
- if use python || use dbus ; then
- python-single-r1_pkg_setup
- fi
-}
-
-src_prepare() {
- default
- eautoreconf
-}
-
-src_configure() {
- # Stabilize things, for your own good
- strip-flags
- replace-flags -O? -O2
- use pie && append-cflags -fPIE -pie
-
- use gadu && DYNAMIC_PRPLS+=",gg"
- use groupwise && DYNAMIC_PRPLS+=",novell"
- use meanwhile && DYNAMIC_PRPLS+=",sametime"
- use zephyr && DYNAMIC_PRPLS+=",zephyr"
- use zeroconf && DYNAMIC_PRPLS+=",bonjour"
-
- local myconf=(
- --disable-mono
- --disable-static
- --with-dynamic-prpls="${DYNAMIC_PRPLS}"
- --with-system-ssl-certs="${EPREFIX}/etc/ssl/certs/"
- --x-includes="${EPREFIX}"/usr/include/X11
- $(use_enable ncurses consoleui)
- $(use_enable gtk gtkui)
- $(use_enable gtk sm)
- $(usex gtk '--enable-nls' "$(use_enable nls)")
- $(use gtk && use_enable xscreensaver screensaver)
- $(use gtk && use_enable prediction cap)
- $(use gtk && use_enable eds gevolution)
- $(use gtk && use_enable spell gtkspell)
- $(use_enable perl)
- $(use_enable tk)
- $(use_enable tcl)
- $(use_enable debug)
- $(use_enable dbus)
- $(use_enable meanwhile)
- $(use_enable gstreamer)
- $(use_with gstreamer gstreamer 1.0)
- $(use_enable gstreamer farstream)
- $(use_enable gstreamer vv)
- $(use_enable sasl cyrus-sasl )
- $(use_enable doc doxygen)
- $(use_enable networkmanager nm)
- $(use_enable zeroconf avahi)
- $(use_enable idn)
- )
-
- if use gnutls; then
- einfo "Disabling NSS, using GnuTLS"
- myconf+=(
- --enable-nss=no
- --enable-gnutls=yes
- --with-gnutls-includes="${EPREFIX}/usr/include/gnutls"
- --with-gnutls-libs="${EPREFIX}/usr/$(get_libdir)"
- )
- else
- einfo "Disabling GnuTLS, using NSS"
- myconf+=(
- --enable-gnutls=no
- --enable-nss=yes
- )
- fi
-
- if use dbus || { use ncurses && use python ; } ; then
- myconf+=( --with-python3=${PYTHON} )
- else
- myconf+=( --without-python3 )
- fi
-
- econf "${myconf[@]}"
-}
-
-src_install() {
- # setting this here because gnome2.eclass is not EAPI-7 ready
- export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL="1"
- default
-
- if use gtk ; then
- # Fix tray paths for e16 (x11-wm/enlightenment) and other
- # implementations that are not compliant with new hicolor theme yet, #323355
- local d f pixmapdir
- for d in 16 22 32 48 ; do
- pixmapdir="${ED}/usr/share/pixmaps/pidgin/tray/hicolor/${d}x${d}/actions"
- mkdir "${pixmapdir}" || die
- pushd "${pixmapdir}" >/dev/null || die
- for f in ../status/*; do
- ln -s ${f} || die
- done
- popd >/dev/null || die
- done
- fi
- use perl && perl_delete_localpod
-
- if use python || use dbus ; then
- python_fix_shebang "${ED}"
- python_optimize
- fi
-
- dodoc ${DOCS[@]} finch/plugins/pietray.py
- docompress -x /usr/share/doc/${PF}/pietray.py
-
- find "${ED}" -type f -name "*.la" -delete || die
-}
-
-src_test() {
- # make default build logs slightly more useful
- emake check VERBOSE=1
-}
-
-pkg_preinst() {
- gnome2_gconf_savelist
- xdg_pkg_preinst
-}
-
-pkg_postinst() {
- gnome2_gconf_install
- gnome2_schemas_update
- xdg_pkg_postinst
-}
-
-pkg_postrm() {
- gnome2_gconf_uninstall
- gnome2_schemas_update
- xdg_pkg_postrm
-}
^ permalink raw reply related [flat|nested] 7+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: net-im/pidgin/files/, net-im/pidgin/
@ 2023-01-28 8:43 Joonas Niilola
0 siblings, 0 replies; 7+ messages in thread
From: Joonas Niilola @ 2023-01-28 8:43 UTC (permalink / raw
To: gentoo-commits
commit: 4da3d5b5576fec686a3685ce94251aa6d4c8fab8
Author: Marco Scardovi <mscardovi <AT> icloud <DOT> com>
AuthorDate: Thu Jan 12 10:37:08 2023 +0000
Commit: Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Sat Jan 28 08:43:48 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4da3d5b5
net-im/pidgin: add 2.14.12
Closes: https://bugs.gentoo.org/890283
Signed-off-by: Marco Scardovi <mscardovi <AT> icloud.com>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>
net-im/pidgin/Manifest | 1 +
.../files/pidgin-2.10.9-irc_join_sleep.patch | 11 +
net-im/pidgin/pidgin-2.14.12.ebuild | 292 +++++++++++++++++++++
3 files changed, 304 insertions(+)
diff --git a/net-im/pidgin/Manifest b/net-im/pidgin/Manifest
index 5b9e90d9d95f..9a047483906d 100644
--- a/net-im/pidgin/Manifest
+++ b/net-im/pidgin/Manifest
@@ -1,2 +1,3 @@
DIST pidgin-2.10.9-irc_join_sleep.patch 534 BLAKE2B 0215cebb93993e19e700e4d4974351ab5e9a00ea094775076d8f439569b34c0ec2faaed360965867df58bc42677516983ce11a2601dd322c1bdf2f288253a5b8 SHA512 8de0d6f05e48cd5a3e894576e06c7fb82e4bfc778cce8bb179fa22e2a05f5c2390a0e4c5b626ee4b910a18eab170d8f4be200f435ce408a86575af99e51e3bdf
DIST pidgin-2.14.10.tar.bz2 8229328 BLAKE2B 9f004abda0f00b315e763e8b17e4e938b44b8a971d5411d775b9428363ab2ae071462d6d16654fcc09270123c434ef2d1f639d7f6d85c08a83b05c0ba4342c21 SHA512 53241e9f62170fe7a8ea27ac03176d442f8aad4ed16da0033164b0949b00c3d476539b182e761950e7d6c385f22a891524c5f40a9cf8fe543b3003c37693314d
+DIST pidgin-2.14.12.tar.bz2 8226145 BLAKE2B 0f0bec301c196fb722b88998a2a420af4084aedb7563215bb44c2c74a670a20db030ac207f226cef7989477dba04a9655c71269564ccc3680b42946ee84fdb16 SHA512 ce016ab4c48448653ae22eead1ddc16f1d10f446c601f8abd2c85b4ea83a4e80092e1ce8182834d998b6587f42a92a9a91105b4db976e170ec7043bb6af3c54c
diff --git a/net-im/pidgin/files/pidgin-2.10.9-irc_join_sleep.patch b/net-im/pidgin/files/pidgin-2.10.9-irc_join_sleep.patch
new file mode 100644
index 000000000000..860a43a9551a
--- /dev/null
+++ b/net-im/pidgin/files/pidgin-2.10.9-irc_join_sleep.patch
@@ -0,0 +1,11 @@
+diff -ur ./pidgin-2.10.9.orig/libpurple/protocols/irc/irc.c pidgin-2.10.9/libpurple/protocols/irc/irc.c
+--- ./pidgin-2.10.9.orig/libpurple/protocols/irc/irc.c 2014-02-02 15:29:18.000000000 -0600
++++ pidgin-2.10.9/libpurple/protocols/irc/irc.c 2014-09-02 10:30:24.830599697 -0500
+@@ -742,6 +742,7 @@
+ struct irc_conn *irc = gc->proto_data;
+ const char *args[2];
+
++ g_usleep(500000);
+ args[0] = g_hash_table_lookup(data, "channel");
+ args[1] = g_hash_table_lookup(data, "password");
+ irc_cmd_join(irc, "join", NULL, args);
diff --git a/net-im/pidgin/pidgin-2.14.12.ebuild b/net-im/pidgin/pidgin-2.14.12.ebuild
new file mode 100644
index 000000000000..3f2e59459b9a
--- /dev/null
+++ b/net-im/pidgin/pidgin-2.14.12.ebuild
@@ -0,0 +1,292 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+GENTOO_DEPEND_ON_PERL=no
+PYTHON_COMPAT=( python3_{9..11} )
+
+inherit autotools gnome2-utils flag-o-matic perl-module python-single-r1 xdg
+
+DESCRIPTION="GTK Instant Messenger client"
+HOMEPAGE="https://pidgin.im/"
+SRC_URI="mirror://sourceforge/${PN}/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="0/2" # libpurple version
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~loong ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="aqua dbus debug doc eds gadu gnutls groupwise +gstreamer +gtk idn
+meanwhile ncurses networkmanager nls perl pie prediction python sasl spell tcl
+test tk v4l +xscreensaver zephyr zeroconf"
+RESTRICT="!test? ( test )"
+
+# dbus requires python to generate C code for dbus bindings (thus DEPEND only).
+# finch uses libgnt that links with libpython - {R,}DEPEND. But still there is
+# no way to build dbus and avoid libgnt linkage with python. If you want this
+# send patch upstream.
+# purple-url-handler and purple-remote require dbus-python thus in reality we
+# rdepend on python if dbus enabled. But it is possible to separate this dep.
+RDEPEND="
+ >=dev-libs/glib-2.16
+ >=dev-libs/libxml2-2.6.18
+ dbus? (
+ >=dev-libs/dbus-glib-0.71
+ >=sys-apps/dbus-0.90
+ $(python_gen_cond_dep '
+ dev-python/dbus-python[${PYTHON_USEDEP}]
+ ')
+ )
+ gadu? ( >=net-libs/libgadu-1.11.0 )
+ gnutls? ( net-libs/gnutls:= )
+ !gnutls? (
+ dev-libs/nspr
+ dev-libs/nss
+ )
+ gstreamer? (
+ media-libs/gstreamer:1.0
+ media-libs/gst-plugins-base:1.0
+ >=net-libs/farstream-0.2.7:0.2
+ )
+ gtk? (
+ >=x11-libs/gtk+-2.10:2[aqua=]
+ x11-libs/libSM
+ >=x11-libs/pango-1.4.0
+ xscreensaver? ( x11-libs/libXScrnSaver )
+ spell? ( >=app-text/gtkspell-2.0.2:2 )
+ eds? ( >=gnome-extra/evolution-data-server-3.6:= )
+ prediction? ( >=dev-db/sqlite-3.3:3 )
+ )
+ idn? ( net-dns/libidn:= )
+ meanwhile? ( net-libs/meanwhile )
+ ncurses? (
+ >=dev-libs/libgnt-$(ver_cut 1-2)
+ sys-libs/ncurses:=[unicode(+)]
+ dbus? ( ${PYTHON_DEPS} )
+ python? ( ${PYTHON_DEPS} )
+ )
+ networkmanager? ( net-misc/networkmanager )
+ perl? ( >=dev-lang/perl-5.16:= )
+ sasl? ( dev-libs/cyrus-sasl:2 )
+ tcl? ( dev-lang/tcl:0= )
+ tk? ( dev-lang/tk:0= )
+ v4l? ( media-plugins/gst-plugins-v4l2 )
+ zeroconf? ( net-dns/avahi[dbus] )
+"
+
+# We want nls in case gtk is enabled, bug #
+NLS_DEPEND="
+ >=dev-util/intltool-0.41.1
+ sys-devel/gettext
+"
+DEPEND="
+ ${RDEPEND}
+ gtk? (
+ x11-base/xorg-proto
+ ${NLS_DEPEND}
+ )
+ dbus? ( ${PYTHON_DEPS} )
+"
+BDEPEND="
+ dev-lang/perl
+ dev-perl/XML-Parser
+ virtual/pkgconfig
+ doc? ( app-doc/doxygen )
+ !gtk? ( nls? ( ${NLS_DEPEND} ) )
+ test? ( >=dev-libs/check-0.9.4 )
+"
+
+DOCS=( AUTHORS HACKING NEWS README ChangeLog )
+
+REQUIRED_USE="
+ dbus? ( ${PYTHON_REQUIRED_USE} )
+ networkmanager? ( dbus )
+ python? ( ${PYTHON_REQUIRED_USE} )
+ v4l? ( gstreamer )
+"
+
+# Enable Default protocols
+DEFAULT_PRPLS="irc,jabber,simple"
+
+# List of plugins
+# app-accessibility/pidgin-festival
+# net-im/librvp
+# x11-plugins/guifications
+# x11-plugins/msn-pecan
+# x11-plugins/pidgin-encryption
+# x11-plugins/pidgin-extprefs
+# x11-plugins/pidgin-hotkeys
+# x11-plugins/pidgintex
+# x11-plugins/pidgin-libnotify
+# x11-plugins/pidgin-mbpurple
+# x11-plugins/pidgin-bot-sentry
+# x11-plugins/pidgin-otr
+# x11-plugins/pidgin-rhythmbox
+# x11-plugins/purple-plugin_pack
+# x11-themes/pidgin-smileys
+# x11-plugins/pidgin-knotify
+# Plugins in Sunrise:
+# x11-plugins/pidgin-audacious-remote
+# x11-plugins/pidgin-autoanswer
+# x11-plugins/pidgin-birthday-reminder
+# x11-plugins/pidgin-blinklight
+# x11-plugins/pidgin-convreverse
+# x11-plugins/pidgin-embeddedvideo
+# x11-plugins/pidgin-extended-blist-sort
+# x11-plugins/pidgin-gfire
+# x11-plugins/pidgin-lastfm
+# x11-plugins/pidgin-sendscreenshot
+# x11-plugins/pidgimpd
+
+pkg_pretend() {
+ if ! use gtk && ! use ncurses ; then
+ elog "You did not pick the ncurses or gtk use flags, only libpurple"
+ elog "will be built."
+ fi
+
+ # dbus is enabled, no way to disable linkage with python => python is enabled
+ #REQUIRED_USE="gtk? ( nls ) dbus? ( python )"
+ if use gtk && ! use nls ; then
+ ewarn "gtk build => nls is enabled!"
+ fi
+ if use dbus && ! use python ; then
+ elog "dbus is enabled, no way to disable linkage with python => python is enabled"
+ fi
+}
+
+pkg_setup() {
+ if use python || use dbus ; then
+ python-single-r1_pkg_setup
+ fi
+}
+
+src_prepare() {
+ xdg_environment_reset
+ default
+ eautoreconf
+}
+
+src_configure() {
+ # Stabilize things, for your own good
+ strip-flags
+ replace-flags -O? -O2
+ use pie && append-cflags -fPIE -pie
+
+ use gadu && DEFAULT_PRPLS+=",gg"
+ use groupwise && DEFAULT_PRPLS+=",novell"
+ use meanwhile && DEFAULT_PRPLS+=",sametime"
+ use zephyr && DEFAULT_PRPLS+=",zephyr"
+ use zeroconf && DEFAULT_PRPLS+=",bonjour"
+
+ local myconf=(
+ --disable-mono
+ --disable-static
+ # Don't downgrade F_S, we already set it in toolchain, bug #890276
+ --disable-fortify
+ --with-dynamic-prpls="${DEFAULT_PRPLS}"
+ --with-system-ssl-certs="${EPREFIX}/etc/ssl/certs/"
+ --x-includes="${EPREFIX}"/usr/include/X11
+ $(use_enable dbus)
+ $(use_enable debug)
+ $(use_enable doc doxygen)
+ $(use_enable gstreamer)
+ $(use_enable gtk gtkui)
+ $(use_enable gtk sm)
+ $(use_enable idn)
+ $(use_enable meanwhile)
+ $(use_enable networkmanager nm)
+ $(use_enable ncurses consoleui)
+ $(use_enable perl)
+ $(use_enable sasl cyrus-sasl )
+ $(use_enable tk)
+ $(use_enable tcl)
+ $(use_enable v4l farstream)
+ $(use_enable v4l gstreamer-video)
+ $(use_enable v4l vv)
+ $(use_enable zeroconf avahi)
+ $(use_with gstreamer gstreamer 1.0)
+ $(usex gtk '--enable-nls' "$(use_enable nls)")
+ $(use gtk && use_enable eds gevolution)
+ $(use gtk && use_enable prediction cap)
+ $(use gtk && use_enable spell gtkspell)
+ $(use gtk && use_enable xscreensaver screensaver)
+ )
+
+ if use gnutls ; then
+ einfo "Disabling NSS, using GnuTLS"
+ myconf+=(
+ --enable-gnutls=yes
+ --enable-nss=no
+ --with-gnutls-includes="${EPREFIX}/usr/include/gnutls"
+ --with-gnutls-libs="${EPREFIX}/usr/$(get_libdir)"
+ )
+ else
+ einfo "Disabling GnuTLS, using NSS"
+ myconf+=(
+ --enable-gnutls=no
+ --enable-nss=yes
+ )
+ fi
+
+ if use dbus || { use ncurses && use python ; } ; then
+ myconf+=( --with-python3=${PYTHON} )
+ else
+ myconf+=( --without-python3 )
+ fi
+
+ econf "${myconf[@]}"
+}
+
+src_install() {
+ # setting this here because we no longer use gnome2.eclass
+ export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL="1"
+ default
+
+ if use gtk ; then
+ # Fix tray paths for e16 (x11-wm/enlightenment) and other
+ # implementations that are not compliant with new hicolor theme yet, #323355
+ local d f pixmapdir
+ for d in 16 22 32 48 ; do
+ pixmapdir="${ED}/usr/share/pixmaps/pidgin/tray/hicolor/${d}x${d}/actions"
+ mkdir "${pixmapdir}" || die
+ pushd "${pixmapdir}" >/dev/null || die
+ for f in ../status/*; do
+ ln -s ${f} || die
+ done
+ popd >/dev/null || die
+ done
+ fi
+ use perl && perl_delete_localpod
+
+ use dbus && python_fix_shebang "${ED}"
+ if use python || use dbus ; then
+ python_optimize
+ fi
+
+ dodoc ${DOCS[@]} finch/plugins/pietray.py
+ docompress -x /usr/share/doc/${PF}/pietray.py
+
+ find "${ED}" -type f -name "*.la" -delete || die
+}
+
+src_test() {
+ # make default build logs slightly more useful
+ local -x GST_PLUGIN_SYSTEM_PATH_1_0=
+ emake check VERBOSE=1
+}
+
+pkg_preinst() {
+ gnome2_gconf_savelist
+ xdg_pkg_preinst
+}
+
+pkg_postinst() {
+ gnome2_gconf_install
+ gnome2_schemas_update
+ xdg_pkg_postinst
+}
+
+pkg_postrm() {
+ gnome2_gconf_uninstall
+ gnome2_schemas_update
+ xdg_pkg_postrm
+}
^ permalink raw reply related [flat|nested] 7+ messages in thread
* [gentoo-commits] repo/gentoo:master commit in: net-im/pidgin/files/, net-im/pidgin/
@ 2024-10-31 23:32 Andreas K. Hüttel
0 siblings, 0 replies; 7+ messages in thread
From: Andreas K. Hüttel @ 2024-10-31 23:32 UTC (permalink / raw
To: gentoo-commits
commit: 0d0486d31e5434a549d2b1a9a3eaf7947d7b6ad8
Author: Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 31 23:28:54 2024 +0000
Commit: Andreas K. Hüttel <dilfridge <AT> gentoo <DOT> org>
CommitDate: Thu Oct 31 23:32:25 2024 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0d0486d3
net-im/pidgin: drop 2.14.10-r1, 2.14.12
Bug: https://bugs.gentoo.org/924053
Signed-off-by: Andreas K. Hüttel <dilfridge <AT> gentoo.org>
net-im/pidgin/Manifest | 2 -
.../files/pidgin-2.10.9-irc_join_sleep.patch | 11 -
net-im/pidgin/pidgin-2.14.10-r1.ebuild | 290 --------------------
net-im/pidgin/pidgin-2.14.12.ebuild | 291 ---------------------
4 files changed, 594 deletions(-)
diff --git a/net-im/pidgin/Manifest b/net-im/pidgin/Manifest
index e56f63e61b80..7687b10150a3 100644
--- a/net-im/pidgin/Manifest
+++ b/net-im/pidgin/Manifest
@@ -1,3 +1 @@
-DIST pidgin-2.14.10.tar.bz2 8229328 BLAKE2B 9f004abda0f00b315e763e8b17e4e938b44b8a971d5411d775b9428363ab2ae071462d6d16654fcc09270123c434ef2d1f639d7f6d85c08a83b05c0ba4342c21 SHA512 53241e9f62170fe7a8ea27ac03176d442f8aad4ed16da0033164b0949b00c3d476539b182e761950e7d6c385f22a891524c5f40a9cf8fe543b3003c37693314d
-DIST pidgin-2.14.12.tar.bz2 8226145 BLAKE2B 0f0bec301c196fb722b88998a2a420af4084aedb7563215bb44c2c74a670a20db030ac207f226cef7989477dba04a9655c71269564ccc3680b42946ee84fdb16 SHA512 ce016ab4c48448653ae22eead1ddc16f1d10f446c601f8abd2c85b4ea83a4e80092e1ce8182834d998b6587f42a92a9a91105b4db976e170ec7043bb6af3c54c
DIST pidgin-2.14.13.tar.bz2 8230755 BLAKE2B 38dc8bbd8966b0fce9bdcc043077628df172568490c390e1b6730a326398557b0df2f6289c8fbcb55bee0dd73fad6efc4ca0341c0d172326ba69a6cc5afbd35c SHA512 8bce143079c9421370ec4762d6fdb9b4cacf41c754eecf55c678943b834b709af9c1969070f30361341c0f51576cad4dfcaff89935c2160446be46deb8d2d3ef
diff --git a/net-im/pidgin/files/pidgin-2.10.9-irc_join_sleep.patch b/net-im/pidgin/files/pidgin-2.10.9-irc_join_sleep.patch
deleted file mode 100644
index 860a43a9551a..000000000000
--- a/net-im/pidgin/files/pidgin-2.10.9-irc_join_sleep.patch
+++ /dev/null
@@ -1,11 +0,0 @@
-diff -ur ./pidgin-2.10.9.orig/libpurple/protocols/irc/irc.c pidgin-2.10.9/libpurple/protocols/irc/irc.c
---- ./pidgin-2.10.9.orig/libpurple/protocols/irc/irc.c 2014-02-02 15:29:18.000000000 -0600
-+++ pidgin-2.10.9/libpurple/protocols/irc/irc.c 2014-09-02 10:30:24.830599697 -0500
-@@ -742,6 +742,7 @@
- struct irc_conn *irc = gc->proto_data;
- const char *args[2];
-
-+ g_usleep(500000);
- args[0] = g_hash_table_lookup(data, "channel");
- args[1] = g_hash_table_lookup(data, "password");
- irc_cmd_join(irc, "join", NULL, args);
diff --git a/net-im/pidgin/pidgin-2.14.10-r1.ebuild b/net-im/pidgin/pidgin-2.14.10-r1.ebuild
deleted file mode 100644
index fae8d5bab844..000000000000
--- a/net-im/pidgin/pidgin-2.14.10-r1.ebuild
+++ /dev/null
@@ -1,290 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-GENTOO_DEPEND_ON_PERL=no
-PYTHON_COMPAT=( python3_10 )
-
-inherit autotools gnome2-utils flag-o-matic perl-module python-single-r1 xdg
-
-DESCRIPTION="GTK Instant Messenger client"
-HOMEPAGE="https://pidgin.im/"
-SRC_URI="https://downloads.sourceforge.net/${PN}/${P}.tar.bz2"
-
-LICENSE="GPL-2"
-SLOT="0/2" # libpurple version
-KEYWORDS="~alpha amd64 arm arm64 ~loong ppc ppc64 ~riscv sparc x86 ~amd64-linux ~x86-linux"
-IUSE="aqua dbus debug doc eds gadu gnutls groupwise +gstreamer +gtk idn
-meanwhile ncurses networkmanager nls perl pie prediction python sasl spell tcl
-test tk v4l +xscreensaver zephyr zeroconf"
-RESTRICT="!test? ( test )"
-
-# dbus requires python to generate C code for dbus bindings (thus DEPEND only).
-# finch uses libgnt that links with libpython - {R,}DEPEND. But still there is
-# no way to build dbus and avoid libgnt linkage with python. If you want this
-# send patch upstream.
-# purple-url-handler and purple-remote require dbus-python thus in reality we
-# rdepend on python if dbus enabled. But it is possible to separate this dep.
-RDEPEND="
- >=dev-libs/glib-2.16
- >=dev-libs/libxml2-2.6.18
- dbus? (
- >=dev-libs/dbus-glib-0.71
- >=sys-apps/dbus-0.90
- $(python_gen_cond_dep '
- dev-python/dbus-python[${PYTHON_USEDEP}]
- ')
- )
- gadu? ( >=net-libs/libgadu-1.11.0 )
- gnutls? ( net-libs/gnutls:= )
- !gnutls? (
- dev-libs/nspr
- dev-libs/nss
- )
- gstreamer? (
- media-libs/gstreamer:1.0
- media-libs/gst-plugins-base:1.0
- >=net-libs/farstream-0.2.7:0.2
- )
- gtk? (
- >=x11-libs/gtk+-2.10:2[aqua=]
- x11-libs/libSM
- >=x11-libs/pango-1.4.0
- xscreensaver? ( x11-libs/libXScrnSaver )
- spell? ( >=app-text/gtkspell-2.0.2:2 )
- eds? ( >=gnome-extra/evolution-data-server-3.6:= )
- prediction? ( >=dev-db/sqlite-3.3:3 )
- )
- idn? ( net-dns/libidn:= )
- meanwhile? ( net-libs/meanwhile )
- ncurses? (
- >=dev-libs/libgnt-$(ver_cut 1-2)
- sys-libs/ncurses:=[unicode(+)]
- dbus? ( ${PYTHON_DEPS} )
- python? ( ${PYTHON_DEPS} )
- )
- networkmanager? ( net-misc/networkmanager )
- perl? ( >=dev-lang/perl-5.16:= )
- sasl? ( dev-libs/cyrus-sasl:2 )
- tcl? ( dev-lang/tcl:0= )
- tk? ( dev-lang/tk:0= )
- v4l? ( media-plugins/gst-plugins-v4l2 )
- zeroconf? ( net-dns/avahi[dbus] )
-"
-
-# We want nls in case gtk is enabled, bug #
-NLS_DEPEND=">=dev-util/intltool-0.41.1 sys-devel/gettext"
-
-DEPEND="${RDEPEND}
- gtk? (
- x11-base/xorg-proto
- ${NLS_DEPEND}
- )
- dbus? ( ${PYTHON_DEPS} )
-"
-BDEPEND="
- dev-lang/perl
- dev-perl/XML-Parser
- virtual/pkgconfig
- doc? ( app-text/doxygen )
- !gtk? ( nls? ( ${NLS_DEPEND} ) )
- test? ( >=dev-libs/check-0.9.4 )
-"
-
-DOCS=( AUTHORS HACKING NEWS README ChangeLog )
-
-REQUIRED_USE="
- dbus? ( ${PYTHON_REQUIRED_USE} )
- networkmanager? ( dbus )
- python? ( ${PYTHON_REQUIRED_USE} )
- v4l? ( gstreamer )
-"
-
-# Enable Default protocols
-DEFAULT_PRPLS="irc,jabber,simple"
-
-# List of plugins
-# app-accessibility/pidgin-festival
-# x11-plugins/guifications
-# x11-plugins/msn-pecan
-# x11-plugins/pidgin-encryption
-# x11-plugins/pidgin-extprefs
-# x11-plugins/pidgin-hotkeys
-# x11-plugins/pidgintex
-# x11-plugins/pidgin-libnotify
-# x11-plugins/pidgin-mbpurple
-# x11-plugins/pidgin-bot-sentry
-# x11-plugins/pidgin-otr
-# x11-plugins/pidgin-rhythmbox
-# x11-plugins/purple-plugin_pack
-# x11-themes/pidgin-smileys
-# x11-plugins/pidgin-knotify
-# Plugins in Sunrise:
-# x11-plugins/pidgin-audacious-remote
-# x11-plugins/pidgin-autoanswer
-# x11-plugins/pidgin-birthday-reminder
-# x11-plugins/pidgin-blinklight
-# x11-plugins/pidgin-convreverse
-# x11-plugins/pidgin-embeddedvideo
-# x11-plugins/pidgin-extended-blist-sort
-# x11-plugins/pidgin-gfire
-# x11-plugins/pidgin-lastfm
-# x11-plugins/pidgin-sendscreenshot
-# x11-plugins/pidgimpd
-
-PATCHES=( "${FILESDIR}/${PN}-2.10.9-irc_join_sleep.patch" ) # 577286
-
-pkg_pretend() {
- if ! use gtk && ! use ncurses ; then
- elog "You did not pick the ncurses or gtk use flags, only libpurple"
- elog "will be built."
- fi
-
- # dbus is enabled, no way to disable linkage with python => python is enabled
- #REQUIRED_USE="gtk? ( nls ) dbus? ( python )"
- if use gtk && ! use nls ; then
- ewarn "gtk build => nls is enabled!"
- fi
- if use dbus && ! use python ; then
- elog "dbus is enabled, no way to disable linkage with python => python is enabled"
- fi
-}
-
-pkg_setup() {
- if use python || use dbus ; then
- python-single-r1_pkg_setup
- fi
-}
-
-src_prepare() {
- xdg_environment_reset
- default
- eautoreconf
-}
-
-src_configure() {
- # Stabilize things, for your own good
- strip-flags
- replace-flags -O? -O2
- use pie && append-cflags -fPIE -pie
-
- use gadu && DEFAULT_PRPLS+=",gg"
- use groupwise && DEFAULT_PRPLS+=",novell"
- use meanwhile && DEFAULT_PRPLS+=",sametime"
- use zephyr && DEFAULT_PRPLS+=",zephyr"
- use zeroconf && DEFAULT_PRPLS+=",bonjour"
-
- local myconf=(
- --disable-mono
- --disable-static
- # Don't downgrade F_S, we already set it in toolchain, bug #890276
- --disable-fortify
- --with-dynamic-prpls="${DEFAULT_PRPLS}"
- --with-system-ssl-certs="${EPREFIX}/etc/ssl/certs/"
- --x-includes="${EPREFIX}"/usr/include/X11
- $(use_enable dbus)
- $(use_enable debug)
- $(use_enable doc doxygen)
- $(use_enable gstreamer)
- $(use_enable gtk gtkui)
- $(use_enable gtk sm)
- $(use_enable idn)
- $(use_enable meanwhile)
- $(use_enable networkmanager nm)
- $(use_enable ncurses consoleui)
- $(use_enable perl)
- $(use_enable sasl cyrus-sasl )
- $(use_enable tk)
- $(use_enable tcl)
- $(use_enable v4l farstream)
- $(use_enable v4l gstreamer-video)
- $(use_enable v4l vv)
- $(use_enable zeroconf avahi)
- $(use_with gstreamer gstreamer 1.0)
- $(usex gtk '--enable-nls' "$(use_enable nls)")
- $(use gtk && use_enable eds gevolution)
- $(use gtk && use_enable prediction cap)
- $(use gtk && use_enable spell gtkspell)
- $(use gtk && use_enable xscreensaver screensaver)
- )
-
- if use gnutls ; then
- einfo "Disabling NSS, using GnuTLS"
- myconf+=(
- --enable-gnutls=yes
- --enable-nss=no
- --with-gnutls-includes="${EPREFIX}/usr/include/gnutls"
- --with-gnutls-libs="${EPREFIX}/usr/$(get_libdir)"
- )
- else
- einfo "Disabling GnuTLS, using NSS"
- myconf+=(
- --enable-gnutls=no
- --enable-nss=yes
- )
- fi
-
- if use dbus || { use ncurses && use python ; } ; then
- myconf+=( --with-python3=${PYTHON} )
- else
- myconf+=( --without-python3 )
- fi
-
- econf "${myconf[@]}"
-}
-
-src_install() {
- # setting this here because we no longer use gnome2.eclass
- export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL="1"
- default
-
- if use gtk ; then
- # Fix tray paths for e16 (x11-wm/enlightenment) and other
- # implementations that are not compliant with new hicolor theme yet, #323355
- local d f pixmapdir
- for d in 16 22 32 48 ; do
- pixmapdir="${ED}/usr/share/pixmaps/pidgin/tray/hicolor/${d}x${d}/actions"
- mkdir "${pixmapdir}" || die
- pushd "${pixmapdir}" >/dev/null || die
- for f in ../status/*; do
- ln -s ${f} || die
- done
- popd >/dev/null || die
- done
- fi
- use perl && perl_delete_localpod
-
- use dbus && python_fix_shebang "${ED}"
- if use python || use dbus ; then
- python_optimize
- fi
-
- dodoc ${DOCS[@]} finch/plugins/pietray.py
- docompress -x /usr/share/doc/${PF}/pietray.py
-
- find "${ED}" -type f -name "*.la" -delete || die
-}
-
-src_test() {
- # make default build logs slightly more useful
- local -x GST_PLUGIN_SYSTEM_PATH_1_0=
- emake check VERBOSE=1
-}
-
-pkg_preinst() {
- gnome2_gconf_savelist
- xdg_pkg_preinst
-}
-
-pkg_postinst() {
- gnome2_gconf_install
- gnome2_schemas_update
- xdg_pkg_postinst
-}
-
-pkg_postrm() {
- gnome2_gconf_uninstall
- gnome2_schemas_update
- xdg_pkg_postrm
-}
diff --git a/net-im/pidgin/pidgin-2.14.12.ebuild b/net-im/pidgin/pidgin-2.14.12.ebuild
deleted file mode 100644
index b20451506de6..000000000000
--- a/net-im/pidgin/pidgin-2.14.12.ebuild
+++ /dev/null
@@ -1,291 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-GENTOO_DEPEND_ON_PERL=no
-PYTHON_COMPAT=( python3_{10..11} )
-
-inherit autotools gnome2-utils flag-o-matic perl-module python-single-r1 xdg
-
-DESCRIPTION="GTK Instant Messenger client"
-HOMEPAGE="https://pidgin.im/"
-SRC_URI="https://downloads.sourceforge.net/${PN}/${P}.tar.bz2"
-
-LICENSE="GPL-2"
-SLOT="0/2" # libpurple version
-KEYWORDS="~alpha amd64 arm arm64 ~loong ppc ppc64 ~riscv sparc x86 ~amd64-linux ~x86-linux"
-IUSE="aqua dbus debug doc eds gadu gnutls groupwise +gstreamer +gtk idn
-meanwhile ncurses networkmanager nls perl pie prediction python sasl spell tcl
-test tk v4l +xscreensaver zephyr zeroconf"
-RESTRICT="!test? ( test )"
-
-# dbus requires python to generate C code for dbus bindings (thus DEPEND only).
-# finch uses libgnt that links with libpython - {R,}DEPEND. But still there is
-# no way to build dbus and avoid libgnt linkage with python. If you want this
-# send patch upstream.
-# purple-url-handler and purple-remote require dbus-python thus in reality we
-# rdepend on python if dbus enabled. But it is possible to separate this dep.
-RDEPEND="
- >=dev-libs/glib-2.16
- >=dev-libs/libxml2-2.6.18
- dbus? (
- >=dev-libs/dbus-glib-0.71
- >=sys-apps/dbus-0.90
- $(python_gen_cond_dep '
- dev-python/dbus-python[${PYTHON_USEDEP}]
- ')
- )
- gadu? ( >=net-libs/libgadu-1.11.0 )
- gnutls? ( net-libs/gnutls:= )
- !gnutls? (
- dev-libs/nspr
- dev-libs/nss
- )
- gstreamer? (
- media-libs/gstreamer:1.0
- media-libs/gst-plugins-base:1.0
- >=net-libs/farstream-0.2.7:0.2
- )
- gtk? (
- >=x11-libs/gtk+-2.10:2[aqua=]
- x11-libs/libSM
- >=x11-libs/pango-1.4.0
- xscreensaver? ( x11-libs/libXScrnSaver )
- spell? ( >=app-text/gtkspell-2.0.2:2 )
- eds? ( >=gnome-extra/evolution-data-server-3.6:= )
- prediction? ( >=dev-db/sqlite-3.3:3 )
- )
- idn? ( net-dns/libidn:= )
- meanwhile? ( net-libs/meanwhile )
- ncurses? (
- >=dev-libs/libgnt-$(ver_cut 1-2)
- sys-libs/ncurses:=[unicode(+)]
- dbus? ( ${PYTHON_DEPS} )
- python? ( ${PYTHON_DEPS} )
- )
- networkmanager? ( net-misc/networkmanager )
- perl? ( >=dev-lang/perl-5.16:= )
- sasl? ( dev-libs/cyrus-sasl:2 )
- tcl? ( dev-lang/tcl:0= )
- tk? ( dev-lang/tk:0= )
- v4l? ( media-plugins/gst-plugins-v4l2 )
- zeroconf? ( net-dns/avahi[dbus] )
-"
-
-# We want nls in case gtk is enabled, bug #
-NLS_DEPEND="
- >=dev-util/intltool-0.41.1
- sys-devel/gettext
-"
-DEPEND="
- ${RDEPEND}
- gtk? (
- x11-base/xorg-proto
- ${NLS_DEPEND}
- )
- dbus? ( ${PYTHON_DEPS} )
-"
-BDEPEND="
- dev-lang/perl
- dev-perl/XML-Parser
- virtual/pkgconfig
- doc? ( app-text/doxygen )
- !gtk? ( nls? ( ${NLS_DEPEND} ) )
- test? ( >=dev-libs/check-0.9.4 )
-"
-
-DOCS=( AUTHORS HACKING NEWS README ChangeLog )
-
-REQUIRED_USE="
- dbus? ( ${PYTHON_REQUIRED_USE} )
- networkmanager? ( dbus )
- python? ( ${PYTHON_REQUIRED_USE} )
- v4l? ( gstreamer )
-"
-
-# Enable Default protocols
-DEFAULT_PRPLS="irc,jabber,simple"
-
-# List of plugins
-# app-accessibility/pidgin-festival
-# x11-plugins/guifications
-# x11-plugins/msn-pecan
-# x11-plugins/pidgin-encryption
-# x11-plugins/pidgin-extprefs
-# x11-plugins/pidgin-hotkeys
-# x11-plugins/pidgintex
-# x11-plugins/pidgin-libnotify
-# x11-plugins/pidgin-mbpurple
-# x11-plugins/pidgin-bot-sentry
-# x11-plugins/pidgin-otr
-# x11-plugins/pidgin-rhythmbox
-# x11-plugins/purple-plugin_pack
-# x11-themes/pidgin-smileys
-# x11-plugins/pidgin-knotify
-# Plugins in Sunrise:
-# x11-plugins/pidgin-audacious-remote
-# x11-plugins/pidgin-autoanswer
-# x11-plugins/pidgin-birthday-reminder
-# x11-plugins/pidgin-blinklight
-# x11-plugins/pidgin-convreverse
-# x11-plugins/pidgin-embeddedvideo
-# x11-plugins/pidgin-extended-blist-sort
-# x11-plugins/pidgin-gfire
-# x11-plugins/pidgin-lastfm
-# x11-plugins/pidgin-sendscreenshot
-# x11-plugins/pidgimpd
-
-pkg_pretend() {
- if ! use gtk && ! use ncurses ; then
- elog "You did not pick the ncurses or gtk use flags, only libpurple"
- elog "will be built."
- fi
-
- # dbus is enabled, no way to disable linkage with python => python is enabled
- #REQUIRED_USE="gtk? ( nls ) dbus? ( python )"
- if use gtk && ! use nls ; then
- ewarn "gtk build => nls is enabled!"
- fi
- if use dbus && ! use python ; then
- elog "dbus is enabled, no way to disable linkage with python => python is enabled"
- fi
-}
-
-pkg_setup() {
- if use python || use dbus ; then
- python-single-r1_pkg_setup
- fi
-}
-
-src_prepare() {
- xdg_environment_reset
- default
- eautoreconf
-}
-
-src_configure() {
- # Stabilize things, for your own good
- strip-flags
- replace-flags -O? -O2
- use pie && append-cflags -fPIE -pie
-
- use gadu && DEFAULT_PRPLS+=",gg"
- use groupwise && DEFAULT_PRPLS+=",novell"
- use meanwhile && DEFAULT_PRPLS+=",sametime"
- use zephyr && DEFAULT_PRPLS+=",zephyr"
- use zeroconf && DEFAULT_PRPLS+=",bonjour"
-
- local myconf=(
- --disable-mono
- --disable-static
- # Don't downgrade F_S, we already set it in toolchain, bug #890276
- --disable-fortify
- --with-dynamic-prpls="${DEFAULT_PRPLS}"
- --with-system-ssl-certs="${EPREFIX}/etc/ssl/certs/"
- --x-includes="${EPREFIX}"/usr/include/X11
- $(use_enable dbus)
- $(use_enable debug)
- $(use_enable doc doxygen)
- $(use_enable gstreamer)
- $(use_enable gtk gtkui)
- $(use_enable gtk sm)
- $(use_enable idn)
- $(use_enable meanwhile)
- $(use_enable networkmanager nm)
- $(use_enable ncurses consoleui)
- $(use_enable perl)
- $(use_enable sasl cyrus-sasl )
- $(use_enable tk)
- $(use_enable tcl)
- $(use_enable v4l farstream)
- $(use_enable v4l gstreamer-video)
- $(use_enable v4l vv)
- $(use_enable zeroconf avahi)
- $(use_with gstreamer gstreamer 1.0)
- $(usex gtk '--enable-nls' "$(use_enable nls)")
- $(use gtk && use_enable eds gevolution)
- $(use gtk && use_enable prediction cap)
- $(use gtk && use_enable spell gtkspell)
- $(use gtk && use_enable xscreensaver screensaver)
- )
-
- if use gnutls ; then
- einfo "Disabling NSS, using GnuTLS"
- myconf+=(
- --enable-gnutls=yes
- --enable-nss=no
- --with-gnutls-includes="${EPREFIX}/usr/include/gnutls"
- --with-gnutls-libs="${EPREFIX}/usr/$(get_libdir)"
- )
- else
- einfo "Disabling GnuTLS, using NSS"
- myconf+=(
- --enable-gnutls=no
- --enable-nss=yes
- )
- fi
-
- if use dbus || { use ncurses && use python ; } ; then
- myconf+=( --with-python3=${PYTHON} )
- else
- myconf+=( --without-python3 )
- fi
-
- econf "${myconf[@]}"
-}
-
-src_install() {
- # setting this here because we no longer use gnome2.eclass
- export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL="1"
- default
-
- if use gtk ; then
- # Fix tray paths for e16 (x11-wm/enlightenment) and other
- # implementations that are not compliant with new hicolor theme yet, #323355
- local d f pixmapdir
- for d in 16 22 32 48 ; do
- pixmapdir="${ED}/usr/share/pixmaps/pidgin/tray/hicolor/${d}x${d}/actions"
- mkdir "${pixmapdir}" || die
- pushd "${pixmapdir}" >/dev/null || die
- for f in ../status/*; do
- ln -s ${f} || die
- done
- popd >/dev/null || die
- done
- fi
- use perl && perl_delete_localpod
-
- use dbus && python_fix_shebang "${ED}"
- if use python || use dbus ; then
- python_optimize
- fi
-
- dodoc ${DOCS[@]} finch/plugins/pietray.py
- docompress -x /usr/share/doc/${PF}/pietray.py
-
- find "${ED}" -type f -name "*.la" -delete || die
-}
-
-src_test() {
- # make default build logs slightly more useful
- local -x GST_PLUGIN_SYSTEM_PATH_1_0=
- emake check VERBOSE=1
-}
-
-pkg_preinst() {
- gnome2_gconf_savelist
- xdg_pkg_preinst
-}
-
-pkg_postinst() {
- gnome2_gconf_install
- gnome2_schemas_update
- xdg_pkg_postinst
-}
-
-pkg_postrm() {
- gnome2_gconf_uninstall
- gnome2_schemas_update
- xdg_pkg_postrm
-}
^ permalink raw reply related [flat|nested] 7+ messages in thread
end of thread, other threads:[~2024-10-31 23:32 UTC | newest]
Thread overview: 7+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2019-04-02 12:29 [gentoo-commits] repo/gentoo:master commit in: net-im/pidgin/files/, net-im/pidgin/ Lars Wendler
-- strict thread matches above, loose matches on Subject: below --
2020-02-11 13:16 Lars Wendler
2021-04-02 14:25 Lars Wendler
2021-04-09 8:05 Lars Wendler
2021-07-27 9:24 Lars Wendler
2023-01-28 8:43 Joonas Niilola
2024-10-31 23:32 Andreas K. Hüttel
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox